clear all
set more off

ssc install boottest, replace
ssc install coefplot, replace
ssc install ebalance, replace
ssc install estout, replace
ssc install psacalc, replace
ssc install ritest, replace
ssc install outreg2, replace

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Tables of the paper
*******************************************************************************

***Table 1
do code/analysis/paper/tab/table_1.do

***Table 2
do code/analysis/paper/tab/table_2.do

***Table 3
do code/analysis/paper/tab/table_3.do

***Table 4
do code/analysis/paper/tab/table_4.do

***Table 5
do code/analysis/paper/tab/table_5.do

***Table 6
do code/analysis/paper/tab/table_6.do

*******************************************************************************
***Figures of the paper
*******************************************************************************

***Figure 1
do code/analysis/paper/fig/figure_1.do

***Figure 2
do code/analysis/paper/fig/figure_2.do

***Figure 3
do code/analysis/paper/fig/figure_3.do

***Figure 4
do code/analysis/paper/fig/figure_4.do

***Figure 5
do code/analysis/paper/fig/figure_5.do

***Figure 6
do code/analysis/paper/fig/figure_6.do

*******************************************************************************
***Tables of the appendix
*******************************************************************************

***Table A1
do code/analysis/appendix/tab/table_a1.do

***Table A2
do code/analysis/appendix/tab/table_a2.do

***Table A3
do code/analysis/appendix/tab/table_a3.do

***Table A4
*Manually constructed

***Table A5
do code/analysis/appendix/tab/table_a5.do

***Table A6
do code/analysis/appendix/tab/table_a6.do

***Table A7
do code/analysis/appendix/tab/table_a7.do

***Table A8
do code/analysis/appendix/tab/table_a8.do

***Table A9
do code/analysis/appendix/tab/table_a9.do

***Table A10
do code/analysis/appendix/tab/table_a10.do

***Table A11
do code/analysis/appendix/tab/table_a11.do

***Table A12
do code/analysis/appendix/tab/table_a12.do

***Table A13
do code/analysis/appendix/tab/table_a13.do

***Table A14
do code/analysis/appendix/tab/table_a14.do

***Table A15
do code/analysis/appendix/tab/table_a15.do

***Table A16
do code/analysis/appendix/tab/table_a16.do

***Table A17
do code/analysis/appendix/tab/table_a17.do

***Table A18
do code/analysis/appendix/tab/table_a18.do

***Table A19
do code/analysis/appendix/tab/table_a19.do

***Table A20
do code/analysis/appendix/tab/table_a20.do

***Table A21
do code/analysis/appendix/tab/table_a21.do

***Table A22
do code/analysis/appendix/tab/table_a22.do

***Table A23
do code/analysis/appendix/tab/table_a23.do

***Table A24
do code/analysis/appendix/tab/table_a24.do

***Table A25
do code/analysis/appendix/tab/table_a25.do

***Table A26
do code/analysis/appendix/tab/table_a26.do

***Table A27
do code/analysis/appendix/tab/table_a27.do

***Table A28
do code/analysis/appendix/tab/table_a28.do

***Table A29
do code/analysis/appendix/tab/table_a29.do

***Table A30
do code/analysis/appendix/tab/table_a30.do

***Table A31
do code/analysis/appendix/tab/table_a31.do

***Table A32
do code/analysis/appendix/tab/table_a32.do

***Table A33
do code/analysis/appendix/tab/table_a33.do

***Table A34
do code/analysis/appendix/tab/table_a34.do

*******************************************************************************
***Figures of the appendix
*******************************************************************************

***Figure A1
do code/analysis/appendix/fig/figure_a1.do

***Figure A2
do code/analysis/appendix/fig/figure_a2.do

***Figure A3
do code/analysis/appendix/fig/figure_a3.do

***Figure A4
do code/analysis/appendix/fig/figure_a4.do

***Figure A5
do code/analysis/appendix/fig/figure_a5.do

***Figure A6
do code/analysis/appendix/fig/figure_a6.do

***Figure A7
do code/analysis/appendix/fig/figure_a7.do

***Figure A8
do code/analysis/appendix/fig/figure_a8.do

***Figure A9
do code/analysis/appendix/fig/figure_a9.do

***Figure A10
do code/analysis/appendix/fig/figure_a10.do

***Figure A11
*Manually constructed

***Figure A12
do code/analysis/appendix/fig/figure_a12.do

***Figure A13
do code/analysis/appendix/fig/figure_a13.do

***Figure A14
do code/analysis/appendix/fig/figure_a14.do

***Figure A15
do code/analysis/appendix/fig/figure_a15.do

***Figure A16
do code/analysis/appendix/fig/figure_a16.do

***Figure A17
do code/analysis/appendix/fig/figure_a17.do

***Figure A18
do code/analysis/appendix/fig/figure_a18.do

***Figure A19
do code/analysis/appendix/fig/figure_a19.do

***Figure A20
*Manually constructed

***Figure A21
do code/analysis/appendix/fig/figure_a21.do

***Figure A22
do code/analysis/appendix/fig/figure_a22.do

***Figure A23
do code/analysis/appendix/fig/figure_a23.do

***Figure A24
do code/analysis/appendix/fig/figure_a24.do