clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Main results duration
*******************************************************************************
use data/final/data_ceo_restr.dta, clear

keep if survey=="3-2010"

svyset Ordre_petició [pw= POND_GEO ], strata(strata) || ssu

egen mean_rel_catesp = mean(rel_catesp), by(HOR_INI time)
egen mean_indep = mean(indep), by(HOR_INI time)
egen mean_estadofed = mean(estadofed), by(HOR_INI time)
egen mean_ccaa = mean(ccaa), by(HOR_INI time)
egen mean_regio = mean(regio), by(HOR_INI time)

bysort HOR_INI time : gen count_aux= _n 
egen obs = max(count_aux), by(HOR_INI time) 
replace obs=ln(obs+1)
keep mean_rel_catesp mean_indep mean_estadofed mean_ccaa mean_regio HOR_INI time obs

duplicates drop
local L=18
local h9=3

gen timing=time*`L'+HOR_INI+0.5-6
sort  timing 


foreach t of num 0(1)10 {
local L`t'=`t'*`L'
disp `L`t''
}

local txt = ":00"

foreach t of num 0(1)240 {
label def tod `t' " ", modify 
}


foreach t of num 0(1)10 {
local T9= `t'*`L'+ `h9'
local T9l= `h9'+6
local T21= `t'*`L'+ `h9'+12
local T21l=`h9'+12+6

label def tod `T9' "`T9l' `txt'", modify 
label def tod `T21' "`T21l' `txt'", modify 
}

label def tod 0  "Monday", modify 
label def tod `L1' "Tuesday", modify 
label def tod `L2' "Wednesday", modify 
label def tod `L3' "Thursday", modify 
label def tod `L4' "Friday", modify 
label def tod `L5' "Saturday", modify 
label def tod `L6' "Monday", modify 
label def tod `L7' "Tuesday", modify 
label def tod `L8' "Wednesday", modify 
label def tod `L9' "Thursday", modify 

label val timing tod 

twoway (scatter mean_regio timing [frequency=obs] , mcolor(navy) msymbol(T) msize(small) ) (scatter mean_ccaa timing [frequency=obs] ,mcolor(ltblue) msymbol(T) msize(small) ) (scatter mean_estadofed timing [frequency=obs] , mcolor(red) msymbol(o) msize(small) ) (scatter mean_indep  timing [frequency=obs] , mcolor(maroon) msymbol(o) msize(small) ), xlabel(0(3)`L9', angle(vertical) valuelabel labsize(vsmall))   tline(13, lcolor(red)) text(1 14 "Ruling", orient(hor) color(red) placement(e)) xtitle("Time of the fieldwork") ytitle("Share of respondents")  title("Average hourly support for each decentralization option")        legend(order(1 "Region  (less autonomy)" 2 "Autonomous community (status quo)" 3 "Federal state (more autonomy)" 4 "Independence (full autonomy)") position(6) rows(2))

graph export output/fig_rep/figure_allbyhour.png, as(png) replace
