clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Short-term voting
*******************************************************************************
use data/final/data_ceo_restr.dta, clear

keep if survey=="3-2010"

svyset Ordre_petició [pw= POND_GEO ], strata(strata) || ssu

global controls female casado educ_* ingr_* empleo_* *_cat nac_* edat edat2 mun_*

///Voting all parties
matrix coeff_vote = J(1,8,.)
matrix colnames coeff_vote = CiU ERC PSC ICV PPC Others "No vote or invalid" "Uknown"
matrix CI_vote = J(2,8,.)
local i = 0

foreach var of varlist ciu erc psc icv ppc otropart vote_noturnout vote_unknown{
areg `var' estatut $controls [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
local i=`i'+1
mat coeff_vote[1,`i'] = _b[estatut]
mat CI_vote[1,`i'] = _b[estatut] + invttail(e(df_r),0.05)*_se[estatut]
mat CI_vote[2,`i'] = _b[estatut] - invttail(e(df_r),0.05)*_se[estatut]
}
coefplot matrix(coeff_vote), ci(CI_vote) xline(0) title(Effect of the Ruling on intention to vote)
graph export output/fig_rep/figure_cplot_vote.png, as(png) replace