clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Daily increase in previous wave
*******************************************************************************
use data/final/data_ceo_restr.dta, clear

keep if survey=="2-2010"

egen dia_wave2=group(DIA) if wave==2

tab dia_wave2, gen(dia_wave2_)

reg rel_catesp dia_wave2_2-dia_wave2_12 [pw= POND_GEO ] if wave==2,  rob

mat treat = J(12,4,1)

mat treat[1,1] = 1
mat treat[1,2] = 0
mat treat[1,3] = 0
mat treat[1,4] = 0

forval yy = 2(1)12 {
local pos=`yy'
mat treat[`pos',1] = `pos'
mat treat[`pos',2] = _b[dia_wave2_`yy']
mat treat[`pos',3] = _b[dia_wave2_`yy'] + _se[dia_wave2_`yy']*invttail(e(N),0.025)
mat treat[`pos',4] = _b[dia_wave2_`yy'] - _se[dia_wave2_`yy']*invttail(e(N),0.025)
}

g yy = treat[_n,1] in 1/12
g eff = treat[_n,2] in 1/12
g eff_5 = treat[_n,3] in 1/12
g eff_95 = treat[_n,4] in 1/12

label var eff "Coefficient"
label var eff_5 "Lower bound CI 5"
label var eff_95 "Higher bound CI 95"

sort dia_wave2

twoway (rcap eff_5 eff_95 yy, lc(gs10) yaxis(1) )  (scatter eff yy, xlabel(1(2)12) ylabel(-1(0.5)1) mc(gs3) xtitle("Day interview in wave 2 of 2010")  title("Change in support for more autonomy") legend(position(6) rows(1))), yline(0,lc(black) lp(-))
graph export output/fig_rep/figure_pretrends_wave2.png, as(png) replace