clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Google searches
*******************************************************************************
import delimited using data/final/multiTimeline_estatut.csv, rowrange(3:) delimiter(",") varnames(2) clear

gen time= monthly(month, "YM")
format time %tm
tsset time

label var estatut "Google searches for Estatut"
label var time "Year-month"

tsline estatut, tline(2010m6, lcolor(red)) ttext(100 2010m7 "Ruling", color(red) placement(e) orient(hor))

graph export output/fig_rep/google.png, as(png) replace

*******************************************************************************
***News
*******************************************************************************
use data/final/data_news.dta, clear
lab var news_number "Number of news about the Ruling"
lab var date "Date"

tsset date

tsline news_number,  tline(28jun2010, lpattern(dash) lcolor(red))   tline(26nov2009, lpattern(dash) lcolor(red)) tline(15apr2010, lpattern(dash) lcolor(red)) tline(09jul2010, lpattern(dash) lcolor(red)) tline(19jul2010, lpattern(dash) lcolor(red))  ttext(300 11jul2010 "4" , color(red) placement(e) orient(hor)) ttext(300 30jun2010 "3" , color(red) placement(e) orient(hor)) ttext(300 27nov2009 "1" , color(red) placement(e) orient(hor)) ttext(300 16apr2010 "2" , color(red) placement(e) orient(hor)) ttext(300 21jul2010 "5" , color(red) placement(e) orient(hor))
graph export output/fig_rep/figure_news.png, replace