clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Robustness specifications
*******************************************************************************
use data/final/data_ceo_restr.dta, clear

keep if survey=="3-2010"

svyset Ordre_petició [pw= POND_GEO ], strata(strata) || ssu

global controls female casado educ_* ingr_* empleo_* *_cat nac_* edat edat2 mun_*

***Ordered probit
*Trust: Courts
eststo a: oprobit trust_trib estatut $controls i.COMARCA [pw= POND_GEO ] if HOR_INI<19 & time<7, cluster(PROVItime)
margins, dydx(estatut)
marginsplot, title("Trust: Courts") ytitle("Effect") xtitle("Option") saving(output/fig_rep/fig_trust_trib, replace) 
*Trust: Gvt Esp
eststo b: oprobit trust_govesp estatut $controls i.COMARCA [pw= POND_GEO ] if HOR_INI<19 & time<7, cluster(PROVItime)
margins, dydx(estatut)
marginsplot, title("Trust: Spanish Government") ytitle("Effect") xtitle("Option") saving(output/fig_rep/fig_trust_govesp, replace) 
*Trust: Parl Esp
eststo c: oprobit trust_parlesp estatut $controls i.COMARCA [pw= POND_GEO ] if HOR_INI<19 & time<7, cluster(PROVItime)
margins, dydx(estatut)
marginsplot, title("Trust: Spanish Parliament") ytitle("Effect") xtitle("Option") saving(output/fig_rep/fig_trust_parlesp, replace)
*Trust: Gvt Cat
eststo d: oprobit trust_govcat estatut $controls i.COMARCA [pw= POND_GEO ] if HOR_INI<19 & time<7, cluster(PROVItime)
margins, dydx(estatut)
marginsplot, title("Trust: Catalan Government") ytitle("Effect") xtitle("Option") saving(output/fig_rep/fig_trust_govcat, replace) 
*Trust: Parl Cat
eststo e: oprobit trust_parlcat estatut $controls i.COMARCA [pw= POND_GEO ] if HOR_INI<19 & time<7, cluster(PROVItime)
margins, dydx(estatut)
marginsplot, title("Trust: Catalan Parliament") ytitle("Effect") xtitle("Option") saving(output/fig_rep/fig_trust_parlcat, replace) 
*Trust: Parties
eststo f: oprobit trust_part estatut $controls i.COMARCA [pw= POND_GEO ] if HOR_INI<19 & time<7, cluster(PROVItime)
margins, dydx(estatut)
marginsplot, title("Trust: Parties") ytitle("Effect") xtitle("Option") saving(output/fig_rep/fig_trust_part, replace) 

gr combine output/fig_rep/fig_trust_trib.gph  output/fig_rep/fig_trust_govesp.gph  output/fig_rep/fig_trust_parlesp.gph  output/fig_rep/fig_trust_govcat.gph   output/fig_rep/fig_trust_parlcat.gph  output/fig_rep/fig_trust_part.gph
graph export  output/fig_rep/figure_rob_spec_trust.png, as(png) replace