clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Comparison CEO-CIS data
*******************************************************************************
***CEO: April 2008

use data/final/data_ceo_2006_2013.dta, clear

svyset ORDRE [pw= POND_GEO ], strata(strata) || ssu

keep if MES==4 & ANY==2008

tab rel_catesp, gen(rel_catesp_)
foreach var of varlist rel_catesp_*{
	eststo `var': mean `var' [pweight=POND_GEO]
}

mean rel_catesp [pweight=POND_GEO]

preserve

***CIS: March 2008

use data/final/data_cis.dta, clear

tab rel_catesp, gen(rel_catesp_)
foreach var of varlist rel_catesp_*{
	eststo cis_`var': mean `var' [pweight=PESO]
}

mean rel_catesp [pweight= PESO]

restore

///Chart

coefplot (rel_catesp_*) (cis_rel_catesp_*),  vertical recast(bar) ciopts(recast(rcap)  ///
		lcolor(red)) citop barwidt(0.3)	coeflabels(rel_catesp_1= "Region" rel_catesp_2= "Autonomous community"  rel_catesp_3= "Federal state" rel_catesp_4= "Independence") p1(label("CEO Survey")) ///
		p2(label("CIS Survey")) ///
		xtitle("More autonomy") ytitle("Proportion") ///
		legend(position(6) rows(1))
		
graph export output/fig_rep/figure_ceovscis.png, as(png) replace
