clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Effect on past vote
*******************************************************************************
use data/final/data_ceo_restr.dta, clear

keep if survey=="3-2010" | survey=="2-2010"

svyset Ordre_petició [pw= POND_GEO ], strata(strata) || ssu

global controls female casado educ_* ingr_* empleo_* *_cat nac_* edat edat2 mun_*

gen psc_old=(P30==4)
replace psc_old=. if P30>90

gen icv_old=(P30==5)
replace icv_old=. if P30>90

foreach var of varlist *_old{
replace `var'=. if P30>=6
}

matrix coeff_vote = J(1,5,.)
matrix colnames coeff_vote = CiU ERC PSC ICV PPC
matrix CI_vote = J(2,5,.)
local i = 0

foreach var of varlist ciu_old erc_old psc_old icv_old ppc_old {
areg `var' estatut $controls [pw= POND_GEO ] if (survey=="3-2010" & HOR_INI<19 & time<7) | survey=="2-2010", absorb(COMARCA) cluster(PROVItime)
local i=`i'+1
mat coeff_vote[1,`i'] = _b[estatut]
mat CI_vote[1,`i'] = _b[estatut] + invttail(e(df_r),0.025)*_se[estatut]
mat CI_vote[2,`i'] = _b[estatut] - invttail(e(df_r),0.025)*_se[estatut]
}
coefplot matrix(coeff_vote), ci(CI_vote) xline(0) title(Effect of the Ruling on past vote) levels(95)
graph export  output/fig_rep/figure_cplot_pastvote.png, as(png) replace
