clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Geographic hetoregeneity
*******************************************************************************
use data/final/data_ceo_restr.dta, clear

keep if survey=="3-2010"

svyset Ordre_petició [pw= POND_GEO ], strata(strata) || ssu

global controls female casado educ_* ingr_* empleo_* *_cat nac_* edat edat2 mun_*

***Generate interactions between province and dummy for size cities
egen provimun=group(PROVI HABITAT)
tabulate provimun, gen(provimun_d)
foreach var of varlist provimun_d*{
gen est_`var'=estatut*`var'
}
drop est_provimun_d6 provimun_d6

rename estatut est_provimun_d6

***Estimate independence equation with province-size heterogeneities
label var est_provimun_d1 "Ruling x Barcelona pop. less 2k"
label var est_provimun_d2 "Ruling x Barcelona pop. 2k-10k"
label var est_provimun_d3 "Ruling x Barcelona pop. 10k-50k"
label var est_provimun_d4 "Ruling x Barcelona pop. 50-150k"
label var est_provimun_d5 "Ruling x Barcelona pop. 150k-1mil"
label var est_provimun_d6 "Ruling x city of Barcelona"
label var est_provimun_d7 "Ruling x Girona pop. less 2k"
label var est_provimun_d8 "Ruling x Girona pop. 2k-10k"
label var est_provimun_d9 "Ruling x Girona pop. 10k-50k"
label var est_provimun_d10 "Ruling x Girona pop. 50k-150k"
label var est_provimun_d11 "Ruling x Lleida pop. less 2k"
label var est_provimun_d12 "Ruling x Lleida pop. 2k-10k"
label var est_provimun_d13 "Ruling x Lleida pop. 10k-50k"
label var est_provimun_d14 "Ruling x Lleida pop. 50k-150k"
label var est_provimun_d15 "Ruling x Tarragona pop. less 2k"
label var est_provimun_d16 "Ruling x Tarragona pop. 2k-10k"
label var est_provimun_d17 "Ruling x Tarragona pop. pop. 10k-50k"
label var est_provimun_d18 "Ruling x Tarragona pop. 50k-150k"

reg indep est_provimun_d* provimun_d* $controls [pw= POND_GEO ] if HOR_INI<19 & time<7, cluster(PROVItime)

coefplot, xline(0) drop(_cons) keep(est_provimun_d*) title("Effect on support for independence")
graph export output/fig_rep/figure_het_geo.png, as(png) replace