clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Time-series preferred relationship between Catalonia and Spain (CEO)
*******************************************************************************
use data/final/data_ceo_2006_2013.dta, clear

drop if ANY>2012

collapse (mean) regio ccaa estadofed indep [pw= POND_GEO ], by(BOP_NUM)

label var BOP_NUM "Survey wave"
label var regio "Region (less autonomy)"
label var ccaa "Autonomous community (status quo)"
label var estadofed "Federal state (more autonomy)"
label var indep "Independence (full autonomy)"

tsset BOP_NUM
tsline regio ccaa estadofed indep, recast(connected) xline(20.9, lcolor(red)) xlabel(4 "Jul-06" 9 "Oct-07" 14 "Oct-08" 19 "Jan-10" 24 "Jun-11" 28 "Oct-12") title("Preferred relationship between Spain and Catalonia") ytitle("Share of respondents") text(0.5 21 "Ruling", color(red) placement(e) orient(hor)) msymbol(o D T S)
graph export output/fig_rep/ts_pref_ceo.png, as(png) replace