clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Heterogeneities: coefplot
*******************************************************************************
use data/final/data_ceo_restr.dta, clear

keep if survey=="3-2010"

svyset Ordre_petició [pw= POND_GEO ], strata(strata) || ssu

///Heterogeneity identity, coefplot
matrix coeff = J(1,13,.)
matrix colnames coeff = "Born in Catalonia" "Born in rest of Spain" "Father born in Catalonia" "Father born in rest of Spain" "Mother born in Catalonia" "Mother born in rest of Spain" "Do not speak Catalan at home" "Speak Catalan at home" "Do not speak Catalan w/ friends" "Speak Catalan w/ friends"
matrix CI = J(2,13,.)
local i = 0

local i=`i'+1
areg rel_catesp estatut est_nac_esp est_nac_for female casado educ_* ingr_* empleo_* *_cat nac_* edad_* mun_* [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
mat coeff[1,`i'] = _b[estatut]
mat CI[1,`i'] = _b[estatut] + invttail(e(df_r),0.025)*_se[estatut]
mat CI[2,`i'] = _b[estatut] - invttail(e(df_r),0.025)*_se[estatut]
local i=`i'+1
nlcom _b[estatut]+_b[est_nac_esp]
matrix define ress = r(V)
local mmm = sqrt(ress[1,1])
mat coeff[1,`i'] = _b[estatut]+_b[est_nac_esp]
mat CI[1,`i'] = _b[estatut]+_b[est_nac_esp] + invttail(e(df_r),0.025)*`mmm'
mat CI[2,`i'] = _b[estatut]+_b[est_nac_esp] - invttail(e(df_r),0.025)*`mmm'

local i=`i'+1
areg rel_catesp estatut est_nac_padre_esp est_nac_padre_for female casado educ_* ingr_* empleo_* *_cat nac_* edad_* mun_* [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
mat coeff[1,`i'] = _b[estatut]
mat CI[1,`i'] = _b[estatut] + invttail(e(df_r),0.025)*_se[estatut]
mat CI[2,`i'] = _b[estatut] - invttail(e(df_r),0.025)*_se[estatut]
local i=`i'+1
nlcom _b[estatut]+_b[est_nac_padre_esp]
matrix define ress = r(V)
local mmm = sqrt(ress[1,1])
mat coeff[1,`i'] = _b[estatut]+_b[est_nac_padre_esp]
mat CI[1,`i'] = _b[estatut]+_b[est_nac_padre_esp] + invttail(e(df_r),0.025)*`mmm'
mat CI[2,`i'] = _b[estatut]+_b[est_nac_padre_esp] - invttail(e(df_r),0.025)*`mmm'

local i=`i'+1
areg rel_catesp estatut est_nac_madre_esp est_nac_madre_for female casado educ_* ingr_* empleo_* *_cat nac_* edad_* mun_* [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
mat coeff[1,`i'] = _b[estatut]
mat CI[1,`i'] = _b[estatut] + invttail(e(df_r),0.025)*_se[estatut]
mat CI[2,`i'] = _b[estatut] - invttail(e(df_r),0.025)*_se[estatut]
local i=`i'+1
nlcom _b[estatut]+_b[est_nac_madre_esp]
matrix define ress = r(V)
local mmm = sqrt(ress[1,1])
mat coeff[1,`i'] = _b[estatut]+_b[est_nac_madre_esp]
mat CI[1,`i'] = _b[estatut]+_b[est_nac_madre_esp] + invttail(e(df_r),0.025)*`mmm'
mat CI[2,`i'] = _b[estatut]+_b[est_nac_madre_esp] - invttail(e(df_r),0.025)*`mmm'

local i=`i'+1
areg rel_catesp estatut est_casa_ca female casado educ_* ingr_* empleo_* *_cat nac_* edad_* mun_* [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
mat coeff[1,`i'] = _b[estatut]
mat CI[1,`i'] = _b[estatut] + invttail(e(df_r),0.025)*_se[estatut]
mat CI[2,`i'] = _b[estatut] - invttail(e(df_r),0.025)*_se[estatut]
local i=`i'+1
nlcom _b[estatut]+_b[est_casa_ca]
matrix define ress = r(V)
local mmm = sqrt(ress[1,1])
mat coeff[1,`i'] = _b[estatut]+_b[est_casa_ca]
mat CI[1,`i'] = _b[estatut]+_b[est_casa_ca] + invttail(e(df_r),0.025)*`mmm'
mat CI[2,`i'] = _b[estatut]+_b[est_casa_ca] - invttail(e(df_r),0.025)*`mmm'

local i=`i'+1
areg rel_catesp estatut est_amigos_ca female casado educ_* ingr_* empleo_* *_cat nac_* edad_* mun_* [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
mat coeff[1,`i'] = _b[estatut]
mat CI[1,`i'] = _b[estatut] + invttail(e(df_r),0.025)*_se[estatut]
mat CI[2,`i'] = _b[estatut] - invttail(e(df_r),0.025)*_se[estatut]
local i=`i'+1
nlcom _b[estatut]+_b[est_amigos_ca]
matrix define ress = r(V)
local mmm = sqrt(ress[1,1])
mat coeff[1,`i'] = _b[estatut]+_b[est_amigos_ca]
mat CI[1,`i'] = _b[estatut]+_b[est_amigos_ca] + invttail(e(df_r),0.025)*`mmm'
mat CI[2,`i'] = _b[estatut]+_b[est_amigos_ca] - invttail(e(df_r),0.025)*`mmm'

coefplot matrix(coeff), ci(CI) xline(0) title(Effect of the Ruling by ethnolinguistic characteristics)
graph export output/fig_rep/figure_cplot_het_ident.png, as(png) replace

///Heterogeneity sociodemo, coefplot
matrix coeff = J(1,9,.)
matrix colnames coeff = Male Female "Age less 35" "Age 35-49" "Age 50-64" "Age 64 or more" "Not married" "Married"
matrix CI = J(2,9,.)
local i = 0

local i=`i'+1
areg rel_catesp estatut est_female female casado educ_* ingr_* empleo_* *_cat nac_* edad_* mun_* [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
mat coeff[1,`i'] = _b[estatut]
mat CI[1,`i'] = _b[estatut] + invttail(e(df_r),0.025)*_se[estatut]
mat CI[2,`i'] = _b[estatut] - invttail(e(df_r),0.025)*_se[estatut]
local i=`i'+1
nlcom _b[estatut]+_b[est_female]
matrix define ress = r(V)
local mmm = sqrt(ress[1,1])
mat coeff[1,`i'] = _b[estatut]+_b[est_female]
mat CI[1,`i'] = _b[estatut]+_b[est_female] + invttail(e(df_r),0.025)*`mmm'
mat CI[2,`i'] = _b[estatut]+_b[est_female] - invttail(e(df_r),0.025)*`mmm'

local i=`i'+1
areg rel_catesp estatut est_edad* female casado educ_* ingr_* empleo_* *_cat nac_* edad_* mun_* [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
mat coeff[1,`i'] = _b[estatut]
mat CI[1,`i'] = _b[estatut] + invttail(e(df_r),0.025)*_se[estatut]
mat CI[2,`i'] = _b[estatut] - invttail(e(df_r),0.025)*_se[estatut]
local i=`i'+1
nlcom _b[estatut]+_b[est_edad_3549]
matrix define ress = r(V)
local mmm = sqrt(ress[1,1])
mat coeff[1,`i'] = _b[estatut]+_b[est_edad_3549]
mat CI[1,`i'] = _b[estatut]+_b[est_edad_3549] + invttail(e(df_r),0.025)*`mmm'
mat CI[2,`i'] = _b[estatut]+_b[est_edad_3549] - invttail(e(df_r),0.025)*`mmm'
local i=`i'+1
nlcom _b[estatut]+_b[est_edad_5064]
matrix define ress = r(V)
local mmm = sqrt(ress[1,1])
mat coeff[1,`i'] = _b[estatut]+_b[est_edad_5064]
mat CI[1,`i'] = _b[estatut]+_b[est_edad_5064] + invttail(e(df_r),0.025)*`mmm'
mat CI[2,`i'] = _b[estatut]+_b[est_edad_5064] - invttail(e(df_r),0.025)*`mmm'
local i=`i'+1
nlcom _b[estatut]+_b[est_edad_64]
matrix define ress = r(V)
local mmm = sqrt(ress[1,1])
mat coeff[1,`i'] = _b[estatut]+_b[est_edad_64]
mat CI[1,`i'] = _b[estatut]+_b[est_edad_64] + invttail(e(df_r),0.025)*`mmm'
mat CI[2,`i'] = _b[estatut]+_b[est_edad_64] - invttail(e(df_r),0.025)*`mmm'

local i=`i'+1
areg rel_catesp estatut est_casado female casado educ_* ingr_* empleo_* *_cat nac_* edad_* mun_* [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
mat coeff[1,`i'] = _b[estatut]
mat CI[1,`i'] = _b[estatut] + invttail(e(df_r),0.025)*_se[estatut]
mat CI[2,`i'] = _b[estatut] - invttail(e(df_r),0.025)*_se[estatut]
local i=`i'+1
nlcom _b[estatut]+_b[est_casado]
matrix define ress = r(V)
local mmm = sqrt(ress[1,1])
mat coeff[1,`i'] = _b[estatut]+_b[est_casado]
mat CI[1,`i'] = _b[estatut]+_b[est_casado] + invttail(e(df_r),0.025)*`mmm'
mat CI[2,`i'] = _b[estatut]+_b[est_casado] - invttail(e(df_r),0.025)*`mmm'

coefplot matrix(coeff), ci(CI) xline(0) title(Effect of the Ruling by sociodemographics characteristics)
graph export output/fig_rep/figure_cplot_het_sociodem.png, as(png) replace

///Heterogeneity socioeconomic, coefplot
matrix coeff = J(1,11,.)
matrix colnames coeff = "Educ lower ESO (6th gr)" "Educ ESO (10th gr)" "Educ Bachillerato (12th gr)" "Educ university" "Net family income less 1K" "Net family income 1k-2k" "Net family income 2k-3k" "Net family income 3k or more" "Unemployed" "Self Employed" "Employed"
matrix CI = J(2,11,.)
local i = 0

local i=`i'+1
areg rel_catesp estatut est_educ* female casado educ_* ingr_* empleo_* *_cat nac_* edad_* mun_* [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
mat coeff[1,`i'] = _b[estatut]
mat CI[1,`i'] = _b[estatut] + invttail(e(df_r),0.025)*_se[estatut]
mat CI[2,`i'] = _b[estatut] - invttail(e(df_r),0.025)*_se[estatut]
local i=`i'+1
nlcom _b[estatut]+_b[est_educ_eso]
matrix define ress = r(V)
local mmm = sqrt(ress[1,1])
mat coeff[1,`i'] = _b[estatut]+_b[est_educ_eso]
mat CI[1,`i'] = _b[estatut]+_b[est_educ_eso] + invttail(e(df_r),0.025)*`mmm'
mat CI[2,`i'] = _b[estatut]+_b[est_educ_eso] - invttail(e(df_r),0.025)*`mmm'
local i=`i'+1
nlcom _b[estatut]+_b[est_educ_bach]
matrix define ress = r(V)
local mmm = sqrt(ress[1,1])
mat coeff[1,`i'] = _b[estatut]+_b[est_educ_bach]
mat CI[1,`i'] = _b[estatut]+_b[est_educ_bach] + invttail(e(df_r),0.025)*`mmm'
mat CI[2,`i'] = _b[estatut]+_b[est_educ_bach] - invttail(e(df_r),0.025)*`mmm'
local i=`i'+1
nlcom _b[estatut]+_b[est_educ_uni]
matrix define ress = r(V)
local mmm = sqrt(ress[1,1])
mat coeff[1,`i'] = _b[estatut]+_b[est_educ_uni]
mat CI[1,`i'] = _b[estatut]+_b[est_educ_uni] + invttail(e(df_r),0.025)*`mmm'
mat CI[2,`i'] = _b[estatut]+_b[est_educ_uni] - invttail(e(df_r),0.025)*`mmm'

local i=`i'+1
areg rel_catesp estatut est_ingr* female casado educ_* ingr_* empleo_* *_cat nac_* edad_* mun_* [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
mat coeff[1,`i'] = _b[estatut]
mat CI[1,`i'] = _b[estatut] + invttail(e(df_r),0.025)*_se[estatut]
mat CI[2,`i'] = _b[estatut] - invttail(e(df_r),0.025)*_se[estatut]
local i=`i'+1
nlcom _b[estatut]+_b[est_ingr_1001_2000]
matrix define ress = r(V)
local mmm = sqrt(ress[1,1])
mat coeff[1,`i'] = _b[estatut]+_b[est_ingr_1001_2000]
mat CI[1,`i'] = _b[estatut]+_b[est_ingr_1001_2000] + invttail(e(df_r),0.025)*`mmm'
mat CI[2,`i'] = _b[estatut]+_b[est_ingr_1001_2000] - invttail(e(df_r),0.025)*`mmm'
local i=`i'+1
nlcom _b[estatut]+_b[est_ingr_2001_3000]
matrix define ress = r(V)
local mmm = sqrt(ress[1,1])
mat coeff[1,`i'] = _b[estatut]+_b[est_ingr_2001_3000]
mat CI[1,`i'] = _b[estatut]+_b[est_ingr_2001_3000] + invttail(e(df_r),0.025)*`mmm'
mat CI[2,`i'] = _b[estatut]+_b[est_ingr_2001_3000] - invttail(e(df_r),0.025)*`mmm'
local i=`i'+1
nlcom _b[estatut]+_b[est_ingr_3001]
matrix define ress = r(V)
local mmm = sqrt(ress[1,1])
mat coeff[1,`i'] = _b[estatut]+_b[est_ingr_3001]
mat CI[1,`i'] = _b[estatut]+_b[est_ingr_3001] + invttail(e(df_r),0.025)*`mmm'
mat CI[2,`i'] = _b[estatut]+_b[est_ingr_3001] - invttail(e(df_r),0.025)*`mmm'

local i=`i'+1
areg rel_catesp estatut est_empleo* female casado educ_* ingr_* empleo_* *_cat nac_* edad_* mun_* [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
mat coeff[1,`i'] = _b[estatut]
mat CI[1,`i'] = _b[estatut] + invttail(e(df_r),0.025)*_se[estatut]
mat CI[2,`i'] = _b[estatut] - invttail(e(df_r),0.025)*_se[estatut]
local i=`i'+1
nlcom _b[estatut]+_b[est_empleo_aut]
matrix define ress = r(V)
local mmm = sqrt(ress[1,1])
mat coeff[1,`i'] = _b[estatut]+_b[est_empleo_aut]
mat CI[1,`i'] = _b[estatut]+_b[est_empleo_aut] + invttail(e(df_r),0.025)*`mmm'
mat CI[2,`i'] = _b[estatut]+_b[est_empleo_aut] - invttail(e(df_r),0.025)*`mmm'
local i=`i'+1
nlcom _b[estatut]+_b[est_empleo_dep]
matrix define ress = r(V)
local mmm = sqrt(ress[1,1])
mat coeff[1,`i'] = _b[estatut]+_b[est_empleo_dep]
mat CI[1,`i'] = _b[estatut]+_b[est_empleo_dep] + invttail(e(df_r),0.025)*`mmm'
mat CI[2,`i'] = _b[estatut]+_b[est_empleo_dep] - invttail(e(df_r),0.025)*`mmm'

coefplot matrix(coeff), ci(CI) xline(0) title(Effect of the Ruling by socioeconomic characteristics)
graph export output/fig_rep/figure_cplot_het_socioeco.png, as(png) replace