clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Heterogeneities: coefplot identity with all
*******************************************************************************
use data/final/data_ceo_restr.dta, clear

keep if survey=="3-2010"

svyset Ordre_petició [pw= POND_GEO ], strata(strata) || ssu

///Heterogeneity identity, coefplot (all, also foreign born)
matrix coeff = J(1,13,.)
matrix colnames coeff = "Born in Catalonia" "Born in rest of Spain" "Born abroad" "Father born in Catalonia" "Father born in rest of Spain" "Father born abroad" "Mother born in Catalonia" "Mother born in rest of Spain" "Mother born abroad" "Do not speak Catalan at home" "Speak Catalan at home" "Do not speak Catalan w/ friends" "Speak Catalan w/ friends"
matrix CI = J(2,13,.)
local i = 0

local i=`i'+1
areg rel_catesp estatut est_nac_esp est_nac_for female casado educ_* ingr_* empleo_* *_cat nac_* edad_* mun_* [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
mat coeff[1,`i'] = _b[estatut]
mat CI[1,`i'] = _b[estatut] + invttail(e(df_r),0.025)*_se[estatut]
mat CI[2,`i'] = _b[estatut] - invttail(e(df_r),0.025)*_se[estatut]
local i=`i'+1
nlcom _b[estatut]+_b[est_nac_esp]
matrix define ress = r(V)
local mmm = sqrt(ress[1,1])
mat coeff[1,`i'] = _b[estatut]+_b[est_nac_esp]
mat CI[1,`i'] = _b[estatut]+_b[est_nac_esp] + invttail(e(df_r),0.025)*`mmm'
mat CI[2,`i'] = _b[estatut]+_b[est_nac_esp] - invttail(e(df_r),0.025)*`mmm'
local i=`i'+1
nlcom _b[estatut]+_b[est_nac_for]
matrix define ress = r(V)
local mmm = sqrt(ress[1,1])
mat coeff[1,`i'] = _b[estatut]+_b[est_nac_for]
mat CI[1,`i'] = _b[estatut]+_b[est_nac_for] + invttail(e(df_r),0.025)*`mmm'
mat CI[2,`i'] = _b[estatut]+_b[est_nac_for] - invttail(e(df_r),0.025)*`mmm'

local i=`i'+1
areg rel_catesp estatut est_nac_padre_esp est_nac_padre_for female casado educ_* ingr_* empleo_* *_cat nac_* edad_* mun_* [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
mat coeff[1,`i'] = _b[estatut]
mat CI[1,`i'] = _b[estatut] + invttail(e(df_r),0.025)*_se[estatut]
mat CI[2,`i'] = _b[estatut] - invttail(e(df_r),0.025)*_se[estatut]
local i=`i'+1
nlcom _b[estatut]+_b[est_nac_padre_esp]
matrix define ress = r(V)
local mmm = sqrt(ress[1,1])
mat coeff[1,`i'] = _b[estatut]+_b[est_nac_padre_esp]
mat CI[1,`i'] = _b[estatut]+_b[est_nac_padre_esp] + invttail(e(df_r),0.025)*`mmm'
mat CI[2,`i'] = _b[estatut]+_b[est_nac_padre_esp] - invttail(e(df_r),0.025)*`mmm'
local i=`i'+1
nlcom _b[estatut]+_b[est_nac_padre_for]
matrix define ress = r(V)
local mmm = sqrt(ress[1,1])
mat coeff[1,`i'] = _b[estatut]+_b[est_nac_padre_for]
mat CI[1,`i'] = _b[estatut]+_b[est_nac_padre_for] + invttail(e(df_r),0.025)*`mmm'
mat CI[2,`i'] = _b[estatut]+_b[est_nac_padre_for] - invttail(e(df_r),0.025)*`mmm'

local i=`i'+1
areg rel_catesp estatut est_nac_madre_esp est_nac_madre_for female casado educ_* ingr_* empleo_* *_cat nac_* edad_* mun_* [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
mat coeff[1,`i'] = _b[estatut]
mat CI[1,`i'] = _b[estatut] + invttail(e(df_r),0.025)*_se[estatut]
mat CI[2,`i'] = _b[estatut] - invttail(e(df_r),0.025)*_se[estatut]
local i=`i'+1
nlcom _b[estatut]+_b[est_nac_madre_esp]
matrix define ress = r(V)
local mmm = sqrt(ress[1,1])
mat coeff[1,`i'] = _b[estatut]+_b[est_nac_madre_esp]
mat CI[1,`i'] = _b[estatut]+_b[est_nac_madre_esp] + invttail(e(df_r),0.025)*`mmm'
mat CI[2,`i'] = _b[estatut]+_b[est_nac_madre_esp] - invttail(e(df_r),0.025)*`mmm'
local i=`i'+1
nlcom _b[estatut]+_b[est_nac_madre_for]
matrix define ress = r(V)
local mmm = sqrt(ress[1,1])
mat coeff[1,`i'] = _b[estatut]+_b[est_nac_madre_for]
mat CI[1,`i'] = _b[estatut]+_b[est_nac_madre_for] + invttail(e(df_r),0.025)*`mmm'
mat CI[2,`i'] = _b[estatut]+_b[est_nac_madre_for] - invttail(e(df_r),0.025)*`mmm'

local i=`i'+1
areg rel_catesp estatut est_casa_ca female casado educ_* ingr_* empleo_* *_cat nac_* edad_* mun_* [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
mat coeff[1,`i'] = _b[estatut]
mat CI[1,`i'] = _b[estatut] + invttail(e(df_r),0.025)*_se[estatut]
mat CI[2,`i'] = _b[estatut] - invttail(e(df_r),0.025)*_se[estatut]
local i=`i'+1
nlcom _b[estatut]+_b[est_casa_ca]
matrix define ress = r(V)
local mmm = sqrt(ress[1,1])
mat coeff[1,`i'] = _b[estatut]+_b[est_casa_ca]
mat CI[1,`i'] = _b[estatut]+_b[est_casa_ca] + invttail(e(df_r),0.025)*`mmm'
mat CI[2,`i'] = _b[estatut]+_b[est_casa_ca] - invttail(e(df_r),0.025)*`mmm'

local i=`i'+1
areg rel_catesp estatut est_amigos_ca female casado educ_* ingr_* empleo_* *_cat nac_* edad_* mun_* [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
mat coeff[1,`i'] = _b[estatut]
mat CI[1,`i'] = _b[estatut] + invttail(e(df_r),0.025)*_se[estatut]
mat CI[2,`i'] = _b[estatut] - invttail(e(df_r),0.025)*_se[estatut]
local i=`i'+1
nlcom _b[estatut]+_b[est_amigos_ca]
matrix define ress = r(V)
local mmm = sqrt(ress[1,1])
mat coeff[1,`i'] = _b[estatut]+_b[est_amigos_ca]
mat CI[1,`i'] = _b[estatut]+_b[est_amigos_ca] + invttail(e(df_r),0.025)*`mmm'
mat CI[2,`i'] = _b[estatut]+_b[est_amigos_ca] - invttail(e(df_r),0.025)*`mmm'

coefplot matrix(coeff), ci(CI) xline(0) title(Effect of the Ruling by ethnolinguistic characteristics)
graph export output/fig_rep/figure_cplot_het_ident_all.png, as(png) replace