clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Polarization group identification: within-CAT
*******************************************************************************
use data/final/data_ceo_restr.dta, clear

keep if survey=="3-2010"

svyset Ordre_petició [pw= POND_GEO ], strata(strata) || ssu

global controls_nolangnopadremadre female casado educ_* ingr_* empleo_* nac_esp nac_for edad_* mun_*

***Cat heritage and identity, cplot
matrix coeff_nopadres = J(1,5,.)
matrix colnames coeff_nopadres = "Feel only Spanish" "Feel more Spanish than Catalan" "Feel as Spanish as Catalan" "Feel more Catalan than Spanish" "Feel only Catalan"
matrix CI_nopadres = J(2,5,.)
matrix colnames CI_nopadres = Esp MoreEsp AsEspAsCat MoreCat Cat
matrix rownames CI_nopadres = ll95 ul95
local i = 0

oprobit cat_feeling estatut##dnac_padres_kat_ambos $controls_nolangnopadremadre i.COMARCA [pw= POND_GEO ] if HOR_INI<19 & time<7,  cluster(PROVItime)
margins, dydx(estatut) at(dnac_padres_kat_ambos==0)
mat b = r(b)
forvalues i=1/5{
local j=`i'+5
mat coeff_nopadres[1,`i']=b[1,`j']
mat v = r(table)
mat CI_nopadres[1,`i']=b[1,`j'] + v[2,`j']*invttail(e(N),0.05)
mat CI_nopadres[2,`i']=b[1,`j'] - v[2,`j']*invttail(e(N),0.05)
}

matrix coeff_padres = J(1,5,.)
matrix colnames coeff_padres = "Feel only Spanish" "Feel more Spanish than Catalan" "Feel as Spanish as Catalan" "Feel more Catalan than Spanish" "Feel only Catalan"
matrix CI_padres = J(2,5,.)
matrix colnames CI_padres = Esp MoreEsp AsEspAsCat MoreCat Cat
matrix rownames CI_padres = ll95 ul95
local i = 0

oprobit cat_feeling estatut##dnac_padres_kat_ambos $controls_nolangnopadremadre i.COMARCA [pw= POND_GEO ] if HOR_INI<19 & time<7,  cluster(PROVItime)
margins, dydx(estatut) at(dnac_padres_kat_ambos==1)
mat b = r(b)
forvalues i=1/5{
local j=`i'+5
mat coeff_padres[1,`i']=b[1,`j']
mat v = r(table)
mat CI_padres[1,`i']=b[1,`j'] + v[2,`j']*invttail(e(N),0.05)
mat CI_padres[2,`i']=b[1,`j'] - v[2,`j']*invttail(e(N),0.05)
}

coefplot (matrix(coeff_padres), ci(CI_padres) label(Catalan heritage) xline(0) title(Effect Ruling) legend(position(6) rows(1)))  (matrix(coeff_nopadres), ci(CI_nopadres) label(No Catalan heritage) msymbol(D)) 
graph export output/fig_rep/figure_cplot_feel_polariz.png, as(png) replace