clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Summary statistics: dependent variables
*******************************************************************************
use data/final/data_ceo_restr.dta, clear

keep if survey=="3-2010"

svyset Ordre_petició [pw= POND_GEO ], strata(strata) || ssu

file open myfile using  output/tab_rep/table_balancing_sumdep.txt, write replace
file write myfile "\begin{tabular}{l c c} \hline\hline \textbf{Variable} & \textbf{Mean} & \textbf{Mean sample}  \\ & (1) & (2) \\ \hline" _n

local varlist  "indep estadofed ccaa regio trust_trib trust_govesp trust_parlesp trust_govcat trust_parlcat trust_part satisf_demo_poco erc ciu erc_old ciu_old prox_erc prox_ciu cat_feeling ca_feel1 ca_feel2 ca_feel3 ca_feel4 ca_feel5 probl_catesp problspec_estatut probl_financing probl_ecolab problmost_catesp problmostspec_estatut problmost_financing problmost_ecolab"
foreach var in `varlist'{

 
if "`var'"=="indep"{
 local name = "Support for independence"
 }
     else if "`var'"=="estadofed"{
 local name = "Support for federal state"
 }
     else if "`var'"=="ccaa"{
 local name = "Support for Autonomous Community"
 }
     else if "`var'"=="regio"{
 local name = "Support for region"
 }
     else if "`var'"=="trust_trib"{
 local name = "Trust in tribunals (0-10)"
 }
     else if "`var'"=="trust_govesp"{
 local name = "Trust in Spanish government (0-10)"
 }
     else if "`var'"=="trust_parlesp"{
 local name = "Trust in Spanish parliament (0-10)"
 }
     else if "`var'"=="trust_govcat"{
 local name = "Trust in Catalan government (0-10)"
 }
     else if "`var'"=="trust_parlcat"{
 local name = "Trust in Catalan parliament (0-10)"
 }
     else if "`var'"=="trust_part"{
 local name = "Trust in parties (0-10)"
 }
     else if "`var'"=="satisf_demo_poco"{
 local name = "Few or no satisfaction with democracy"
 }
      else if "`var'"=="erc"{
 local name = "Intend to vote for ERC in Catalan elections"
 }
     else if "`var'"=="ciu"{
 local name = "Intend to vote for CiU in Catalan elections"
 }
       else if "`var'"=="erc_old"{
 local name = "Voted for ERC in past Catalan elections"
 }
     else if "`var'"=="ciu_old"{
 local name = "Voted for CiU in past Catalan elections"
 }
      else if "`var'"=="prox_erc"{
 local name = "Proximity to ERC (1-5)"
 }
     else if "`var'"=="prox_ciu"{
 local name = "Proximity to CiU (1-5)"
 }
      else if "`var'"=="cat_feeling"{
 local name = "Feeling Catalan (1-5)"
 }
      else if "`var'"=="ca_feel1"{
 local name = "Feel only Spanish"
 }
      else if "`var'"=="ca_feel2"{
 local name = "Feel more Spanish than Catalan"
 }
       else if "`var'"=="ca_feel3"{
 local name = "Feel as Spanish as Catalan"
 }
      else if "`var'"=="ca_feel4"{
 local name = "Feel less Spanish than Catalan"
 }
      else if "`var'"=="ca_feel5"{
 local name = "Feel only Catalan"
 }
      else if "`var'"=="probl_catesp"{
 local name = "Think relationship between Spain and Catalonia is a problem"
 }
      else if "`var'"=="problspec_estatut"{
 local name = "Think Estatut is a problem"
 }
      else if "`var'"=="probl_financing"{
 local name = "Think financing system is a problem"
 }
      else if "`var'"=="probl_ecolab"{
 local name = "Think economic situations, working conditions or low wages are a problem"
 }
       else if "`var'"=="problmost_catesp"{
 local name = "Think relationship between Spain and Catalonia is most important problem"
 }
      else if "`var'"=="problmostspec_estatut"{
 local name = "Think Estatut is most important problem"
 }
      else if "`var'"=="problmost_financing"{
 local name = "Think financing system is most important problem"
 }
      else if "`var'"=="problmost_ecolab"{
 local name = "Think economic situations, working conditions or low wages are most important problem"
 }
 else {
 local name = "ERROR"
 }
 
 svy: mean `var'
 matrix define ress = e(b)
 local aaa = ress[1,1]
 local aa = string(round(`aaa',.01) , "%9.2f")
 
  svy: mean `var'  if HOR_INI<19 & time<7
 matrix define ress = e(b)
 local bbb = ress[1,1]
 local bb = string(round(`bbb',.01) , "%9.2f")

  file write myfile ("`name'") _tab  "&"   _tab %11.2f ("`aa'") _tab "&"   _tab %11.2f ("`bb'") _tab   "\\" _n 
 
 } 
*

file write myfile "\hline \end{tabular}"
file close myfile