clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

////////////////////////////////////////////////
///Polarization all parties
////////////////////////////////////////////////
use data/final/data_ceo_restr.dta, clear

keep if survey=="3-2010"

svyset Ordre_petició [pw= POND_GEO ], strata(strata) || ssu

global controls female casado educ_* ingr_* empleo_* *_cat nac_* edat edat2 mun_*

gen psc_old=(P30==4)
replace psc_old=. if P30>90

gen icv_old=(P30==5)
replace icv_old=. if P30>90

foreach var of varlist *_old{
replace `var'=. if P30>=6
}

drop est_ciu_old est_erc_old
foreach var of varlist ciu_old erc_old psc_old icv_old{
gen est_`var'=estatut*`var'
}

label var ppc_old "Past vote PPC"
label var ciu_old "Past vote CiU"
label var erc_old "Past vote ERC"
label var psc_old "Past vote PSC"
label var icv_old "Past vote ICV"
label var est_ciu_old "Ruling X Past vote CiU"
label var est_erc_old "Ruling X Past vote ERC"
label var est_psc_old "Ruling X Past vote PSC"
label var est_icv_old "Ruling X Past vote ICV"
label var est_ppc_old "Ruling X Past vote PPC"

label var ppc_old_all "Past vote PPC"
label var est_ppc_old_all "Ruling X Past vote PPC"

***Table polarization results
*PP vs non-PP, OLS
eststo a: reg rel_catesp estatut ppc_old_all est_ppc_old_all $controls i.COMARCA [pw= POND_GEO ] if HOR_INI<19 & time<7,  cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_est "OLS"
*PP vs non-PP, O-Probit
eststo b: oprobit rel_catesp estatut ppc_old_all est_ppc_old_all $controls i.COMARCA [pw= POND_GEO ] if HOR_INI<19 & time<7,  cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_est "O-Probit"
*All parties, OLS
eststo c: reg rel_catesp estatut ciu_old erc_old psc_old icv_old est_ciu_old est_erc_old est_psc_old est_icv_old $controls i.COMARCA [pw= POND_GEO ] if HOR_INI<19 & time<7,  cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_est "OLS"
*All parties, O-Probit
eststo d: oprobit rel_catesp estatut ciu_old erc_old psc_old icv_old est_ciu_old est_erc_old est_psc_old est_icv_old $controls i.COMARCA [pw= POND_GEO ] if HOR_INI<19 & time<7,  cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_est "O-Probit"

esttab a b c d using output/tab_rep/table_polariz_parties.tex, eqlabel(none) nonumbers nonotes se label ///
sfmt(%8.2f) ///
star(* 0.10 ** 0.05 *** 0.01) keep(estatut ppc_old_all est_ppc_old_all ciu_old erc_old psc_old icv_old est_ciu_old est_erc_old est_psc_old est_icv_old) ///
mtitles("(1)" "(2)" "(3)" "(4)") ///
mgroups("\makecell{More autonomy}", ///
pattern(1 0 0 0) prefix(\multicolumn{@span}{c}{) suffix(}) ///
span erepeat(\cmidrule(lr){@span})) ///
scalars("sta R-squared" "info_est Estimation") ///
compress replace