clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Bias
*******************************************************************************
use data/final/data_ceo_restr.dta, clear

keep if survey=="3-2010"

svyset Ordre_petició [pw= POND_GEO ], strata(strata) || ssu

global controls female casado educ_* ingr_* empleo_* *_cat nac_* edat edat2 mun_*

gen prox_ppc=P22A
replace prox_ppc=. if P22A>=98

gen prox_ppc_close=(prox_ppc>=3)

*Intention to vote PP
eststo a: areg ppc estatut $controls [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
*Proximity to PP
eststo b: areg prox_ppc_close estatut $controls [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
*Intention to vote PP, het wrt past vote PP
eststo c: areg ppc estatut ppc_old est_ppc_old $controls [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
*Trust courts, het wrt past vote PP
eststo d: areg trust_trib estatut ppc_old est_ppc_old $controls [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)

esttab a b c d using output/tab_rep/table_bias.tex, eqlabel(none) nonumbers nonotes se label nomtitles ///
sfmt(%8.2f) ///
star(* 0.10 ** 0.05 *** 0.01) keep(estatut ppc_old est_ppc_old) ///
prehead(\begin{tabular}{lcccc} \hline \hline & \multicolumn{3}{c}{Popular Party} & Trust \\ & Vote & Proximity & Vote & Courts \\ \cmidrule(lr){2-4} \cmidrule(lr){5-5} & (1) & (2) & (3) & (4) \\ \hline) /// 
scalars("sta R-squared" ) ///
postfoot(\hline \hline \\ \end{tabular}) ///
compress replace