clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Oster
*******************************************************************************
use data/final/data_ceo_restr.dta, clear

keep if survey=="3-2010"

svyset Ordre_petició [pw= POND_GEO ], strata(strata) || ssu

global controls female casado educ_* ingr_* empleo_* *_cat nac_* edat edat2 mun_*

reg rel_catesp estatut [pw= POND_GEO ] if HOR_INI<19 & time<7, cluster(PROVItime)
areg rel_catesp estatut $controls [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
*Show coefficient, s.e. and R2 of baseline and controlled effects

local r2=`e(r2)'
local r213=1.3*`r2'

psacalc beta estatut
psacalc beta estatut, rmax(`r213')
*need to commment if a) inclusion controls moves coefficient to zero,
*a2) how R2 changes between including controls and not
*b) bias-adjusted treatment effect includes 0
*c) bias-adjusted treatment effect included in CI of treatment effect

psacalc delta estatut
psacalc delta estatut, rmax(`r213')
*d) if delta is bigger than 1

file open myfile using output/tab_rep/table_oster.txt, write replace
file write myfile "\begin{tabular}{l c c cc c cc} \hline\hline & & & \multicolumn{2}{c}{\textbf{$ R_{max} = 1.3 \tilde{R}$}} & & \multicolumn{2}{c}{\textbf{$ R_{max}=1$}} \\ \cline{4-5}  \cline{7-8} \\ \textbf{More Autonomy on Ruling} & \textbf{Uncontrolled} & \textbf{Controlled}&  \textbf{Identified set}  & \textbf{ $ \delta $ for $ \beta=0 $} & & \textbf{Identified set}  & \textbf{$ \delta $ for $ \beta=0 $} \\ \hline" _n

reg rel_catesp estatut [pw= POND_GEO ] if HOR_INI<19 & time<7, cluster(PROVItime)
local noc_b=_b[estatut]
local aa_b = string(`noc_b',"%8.3f")
local noc_se=_se[estatut]
local aa_se = string(`noc_se',"%8.3f")
local noc_r2=`e(r2)'
local aa_r2 = string(`noc_r2',"%8.3f")
areg rel_catesp estatut $controls [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
local sic_b=_b[estatut]
local bb_b = string(`sic_b',"%8.3f")
local sic_se=_se[estatut]
local bb_se = string(`sic_se',"%8.3f")
local sic_r2=`e(r2)'
local bb_r2 = string(`sic_r2',"%8.3f")
local sic_r213=1.3*`bb_r2'
psacalc beta estatut, rmax(`sic_r213')
local sic_beta=`r(beta)'
local bb_beta_r213 = string(`sic_beta',"%8.3f")
psacalc beta estatut
local sic_beta=`r(beta)'
local bb_beta_r2 = string(`sic_beta',"%8.3f")
psacalc delta estatut, rmax(`r213')
local sic_delta=`r(delta)'
local bb_delta_r213 = string(`sic_delta',"%8.3f")
psacalc delta estatut
local sic_delta=`r(delta)'
local bb_delta_r2 = string(`sic_delta',"%8.3f")

file write myfile ("Treatment effect") _tab  "&"   _tab %11.2f ("`aa_b'") _tab "&"   _tab %11.2f ("`bb_b'") _tab "&" _tab %11.2f ("[`bb_b';`bb_beta_r213']") _tab   "&"  _tab %11.2f ("`bb_delta_r213'") _tab  "&" "&"  _tab %11.2f ("[`bb_b';`bb_beta_r2']") _tab  "&" _tab %11.2f ("`bb_delta_r2'") _tab  "\\" _n 

file write myfile ("s.e.") _tab  "&"   _tab %11.2f ("(`aa_se')") _tab "&"   _tab %11.2f ("(`bb_se')") _tab "&"    "&"  "&"  "&"    "&"    "\\" _n 

file write myfile ("R-squared") _tab  "&"   _tab %11.2f ("`aa_r2'") _tab "&"   _tab %11.2f ("`bb_r2'") _tab "&"    "&" "&"   "&"    "&"    "\\" _n 

  
file write myfile "\hline \end{tabular}"
file close myfile
