clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Robustness with different geographical FEs
*******************************************************************************
use data/final/data_ceo_restr.dta, clear

keep if survey=="3-2010"

svyset Ordre_petició [pw= POND_GEO ], strata(strata) || ssu

global controls female casado educ_* ingr_* empleo_* *_cat nac_* edat edat2 mun_*


///Robustness FEs
*No FE
eststo a: reg rel_catesp estatut $controls [pw= POND_GEO ] if HOR_INI<19 & time<7, cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_1 "No"
estadd local info_2 "No"
estadd local info_3 "No"
*Province
eststo b: areg rel_catesp estatut $controls [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(PROVI) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_1 "No"
estadd local info_2 "Yes"
estadd local info_3 "No"
*Province x city size
eststo c: areg rel_catesp estatut $controls [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(group_ps) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_1 "No"
estadd local info_2 "No"
estadd local info_3 "Yes"

esttab a b c using output/tab_rep/table_rob_fe.tex, nonumbers nonotes se label ///
sfmt(%8.2f) ///
star(* 0.10 ** 0.05 *** 0.01) keep(estatut) ///
mtitles("(1)" "(2)" "(3)") ///
mgroups("\makecell{More autonomy}", ///
pattern(1 0 0) prefix(\multicolumn{@span}{c}{) suffix(}) ///
span erepeat(\cmidrule(lr){@span})) ///
scalars("sta R-squared" "info_1 Comarca FE" "info_2 Province FE" "info_3 Province x city size FE") ///
compress replace