clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Balancing test
*******************************************************************************
use data/final/data_ceo_restr.dta, clear

keep if survey=="3-2010" 

svyset Ordre_petició [pw= POND_GEO ], strata(strata) || ssu

gen HOR_INI_geq19=(HOR_INI>=19)

file open myfile using output/tab_rep/table_balancing_restrictions.txt, write replace
file write myfile "\begin{tabular}{l ccc} \hline\hline \textbf{Variable} & \multicolumn{3}{c}{\textbf{Difference with Comarca FE}}   \\  \cline{2-4} & \textbf{Post - Pre} & \textbf{Last 3 days -} &  \textbf{At 19 or after -}  \\  & \textbf{w/o Restrictions} & \textbf{Controls} & \textbf{Before 19}  \\ \cline{2-4} & (1) & (2) & (3) \\ \hline" _n

local varlist  "entr_cat casa_cat trabajo_cat amigos_cat nac_kat nac_esp nac_for nac_padre_kat nac_padre_esp nac_padre_for nac_madre_kat nac_madre_esp nac_madre_for  female casado educ_menoseso educ_eso educ_bach educ_uni ingr_1000 ingr_1001_2000 ingr_2001_3000 ingr_3001 empleo_aut empleo_dep empleo_unem edat edat2 mun_0_2000 mun_2001_10000 mun_10001_50000 mun_50001_150000 mun_150001_1000000 mun_1000000"
foreach var in `varlist'{

 
if "`var'"=="entr_cat"{
 local name = "Interview in catalan"
 }
     else if "`var'"=="casa_cat"{
 local name = "Speak catalan at home"
 }
     else if "`var'"=="trabajo_cat"{
 local name = "Speak catalan at work"
 }
     else if "`var'"=="amigos_cat"{
 local name = "Speak catalan with friends"
 }
     else if "`var'"=="nac_kat"{
 local name = "Born in Catalonia"
 }
     else if "`var'"=="nac_esp"{
 local name = "Born in rest of Spain"
 }
     else if "`var'"=="nac_for"{
 local name = "Foreign born"
 }
     else if "`var'"=="nac_padre_kat"{
 local name = "Father born in Catalonia"
 }
     else if "`var'"=="nac_padre_esp"{
 local name = "Father born in rest of Spain"
 }
     else if "`var'"=="nac_padre_for"{
 local name = "Father foreign born"
 }
     else if "`var'"=="nac_madre_kat"{
 local name = "Mother born in Catalonia"
 }
     else if "`var'"=="nac_madre_esp"{
 local name = "Mother born in rest of Spain"
 }
     else if "`var'"=="nac_madre_for"{
 local name = "Mother foreign born"
 }
     else if "`var'"=="female"{
 local name = "Female"
 }
     else if "`var'"=="casado"{
 local name = "Married"
 }
     else if "`var'"=="educ_menoseso"{
 local name = "Educ. lower ESO (6th grade)"
 }
      else if "`var'"=="educ_eso"{
 local name = "Educ. ESO (10th grade)"
 }
      else if "`var'"=="educ_bach"{
 local name = "Educ. bachillerato (12th grade)"
 }
      else if "`var'"=="educ_uni"{
 local name = "Educ. university"
 }
      else if "`var'"=="ingr_1000"{
 local name = "Net family income lower 1k"
 }
      else if "`var'"=="ingr_1001_2000"{
 local name = "Net family income 1k-2k"
 }
      else if "`var'"=="ingr_2001_3000"{
 local name = "Net family income 2k-3k"
 }
      else if "`var'"=="ingr_3001"{
 local name = "Net family income 3k or more"
 }
      else if "`var'"=="empleo_aut"{
 local name = "Self-employed"
 }
      else if "`var'"=="empleo_dep"{
 local name = "Employed"
 }
      else if "`var'"=="empleo_unem"{
 local name = "Unemployed"
 }
     else if "`var'"=="edat"{
 local name = "Age"
 }
      else if "`var'"=="edat2"{
 local name = "Age squared"
 }
            else if "`var'"=="mun_0_2000"{
 local name = "City pop. 0-2000"
 }
            else if "`var'"=="mun_2001_10000"{
 local name = "City pop. 2001-10000"
 }
             else if "`var'"=="mun_10001_50000"{
 local name = "City pop. 10001-50000"
 }
              else if "`var'"=="mun_50001_150000"{
 local name = "City pop. 50001-150000"
 }
              else if "`var'"=="mun_150001_1000000"{
 local name = "City pop. 1500001-1000000"
 }
			  else if "`var'"=="mun_1000000"{
 local name = "City pop. 1000000 or more"
 }
 else {
 local name = "ERROR"
 }
 
 
		if "`var'"=="edat" | "`var'"=="edat2"{
 local cont = 1
 }
      else {
 local cont = 0
 }
 

 areg `var'  1.estatut  [pw= POND_GEO ], absorb(COMARCA) rob
	local diff = _b[1.estatut]
    local pval = ttail(e(df_r),abs(_b[1.estatut]/_se[1.estatut]))*2
	if `pval'>0.1  {
		local ee = string(`diff',"%8.2f") 
	} 
	else if `pval'>0.05 { 
		local ee = string(`diff',"%8.2f") + "$^\star$"
	}
	else if `pval'>0.01 { 
		local ee = string(`diff',"%8.2f") + "$^\star$" + "$^\star$"
	}
	else {
		local ee = string(`diff',"%8.2f") + "$^\star$" + "$^\star$" + "$^\star$"
	}
	
 areg `var'  1.estatut if (time==0 & HOR_INI<19) | time>=7 [pw= POND_GEO ], absorb(COMARCA) rob
	local diff = _b[1.estatut]
    local pval = ttail(e(df_r),abs(_b[1.estatut]/_se[1.estatut]))*2
	if `pval'>0.1  {
		local ff = string(`diff',"%8.2f") 
	} 
	else if `pval'>0.05 { 
		local ff = string(`diff',"%8.2f") + "$^\star$"
	}
	else if `pval'>0.01 { 
		local ff = string(`diff',"%8.2f") + "$^\star$" + "$^\star$"
	}
	else {
		local ff = string(`diff',"%8.2f") + "$^\star$" + "$^\star$" + "$^\star$"
	}
	
  areg `var'  1.HOR_INI_geq19 [pw= POND_GEO ], absorb(COMARCA) rob
	local diff = _b[1.HOR_INI_geq19]
    local pval = ttail(e(df_r),abs(_b[1.HOR_INI_geq19]/_se[1.HOR_INI_geq19]))*2
	if `pval'>0.1  {
		local gg = string(`diff',"%8.2f") 
	} 
	else if `pval'>0.05 { 
		local gg = string(`diff',"%8.2f") + "$^\star$"
	}
	else if `pval'>0.01 { 
		local gg = string(`diff',"%8.2f") + "$^\star$" + "$^\star$"
	}
	else {
		local gg = string(`diff',"%8.2f") + "$^\star$" + "$^\star$" + "$^\star$"
	}
	


 
  file write myfile ("`name'") _tab  "&"    _tab %11.2f ("`ee'") _tab "&"   _tab %11.2f ("`ff'") _tab "&"   _tab %11.2f ("`gg'") _tab "\\" _n 
 
 } 

 file write myfile "\hline "

 *Joint significance

 areg estatut entr_cat casa_cat trabajo_cat amigos_cat nac_kat nac_esp nac_for nac_padre_kat nac_padre_esp nac_padre_for nac_madre_kat nac_madre_esp nac_madre_for  female casado educ_menoseso educ_eso educ_bach educ_uni ingr_1000 ingr_1001_2000 ingr_2001_3000 ingr_3001 empleo_aut empleo_dep empleo_unem edat edat2 mun_0_2000 mun_2001_10000 mun_10001_50000 mun_50001_150000 mun_150001_1000000 mun_1000000 [pw= POND_GEO ], absorb(COMARCA) rob
testparm *
local eee = r(F)
 local pval_e = r(p)
 if `pval_e'>0.1  {
	local ee = string(`eee',"%11.2f") 
 } 
 else if `pval_e'>0.05 { 
	local ee = string(`eee',"%11.2f") + "$^\star$"
 }
  else if `pval_e'>0.01 { 
	local ee = string(`eee',"%11.2f") + "$^\star$" + "$^\star$"
 }
 else {
 	local ee = string(`eee',"%11.2f") + "$^\star$" + "$^\star$" + "$^\star$"
 }
local eee = string(round(`eee',.01) , "%9.2f")
local pval_e = string(round(`pval_e',.01) , "%9.2f")

 
 areg estatut entr_cat casa_cat trabajo_cat amigos_cat nac_kat nac_esp nac_for nac_padre_kat nac_padre_esp nac_padre_for nac_madre_kat nac_madre_esp nac_madre_for  female casado educ_menoseso educ_eso educ_bach educ_uni ingr_1000 ingr_1001_2000 ingr_2001_3000 ingr_3001 empleo_aut empleo_dep empleo_unem edat edat2 mun_0_2000 mun_2001_10000 mun_10001_50000 mun_50001_150000 mun_150001_1000000 mun_1000000 if (time==0 & HOR_INI<19) | time>=7 [pw= POND_GEO ], absorb(COMARCA)  rob
testparm *
local fff = r(F)
 local pval_f = r(p)
 if `pval_f'>0.1  {
	local ff = string(`fff',"%11.2f") 
 } 
 else if `pval_f'>0.05 { 
	local ff = string(`fff',"%11.2f") + "$^\star$"
 }
  else if `pval_f'>0.01 { 
	local ff = string(`fff',"%11.2f") + "$^\star$" + "$^\star$"
 }
 else {
 	local ff = string(`fff',"%11.2f") + "$^\star$" + "$^\star$" + "$^\star$"
 }
local fff = string(round(`fff',.01) , "%9.2f")
local pval_f = string(round(`pval_f',.01) , "%9.2f")
 
 areg HOR_INI_geq19 entr_cat casa_cat trabajo_cat amigos_cat nac_kat nac_esp nac_for nac_padre_kat nac_padre_esp nac_padre_for nac_madre_kat nac_madre_esp nac_madre_for  female casado educ_menoseso educ_eso educ_bach educ_uni ingr_1000 ingr_1001_2000 ingr_2001_3000 ingr_3001 empleo_aut empleo_dep empleo_unem edat edat2 mun_0_2000 mun_2001_10000 mun_10001_50000 mun_50001_150000 mun_150001_1000000 mun_1000000 [pw= POND_GEO ], absorb(COMARCA) rob
testparm *
local ggg = r(F)
 local pval_g = r(p)
 if `pval_g'>0.1  {
	local gg = string(`ggg',"%11.2f") 
 } 
 else if `pval_g'>0.05 { 
	local gg = string(`ggg',"%11.2f") + "$^\star$"
 }
  else if `pval_g'>0.01 { 
	local gg = string(`ggg',"%11.2f") + "$^\star$" + "$^\star$"
 }
 else {
 	local gg = string(`ggg',"%11.2f") + "$^\star$" + "$^\star$" + "$^\star$"
 }
local ggg = string(round(`ggg',.01) , "%9.2f")
local pval_g = string(round(`pval_g',.01) , "%9.2f")
 
  file write myfile ("F-stat joint significance") _tab "&"  _tab %11.2f ("`eee'") _tab "&"   _tab %11.2f ("`fff'") _tab "&"   _tab %11.2f ("`ggg'") _tab "\\" _n 
  file write myfile ("p-value joint significance") _tab "&"  _tab %11.2f ("`pval_e'") _tab "&"   _tab %11.2f ("`pval_f'") _tab "&"   _tab %11.2f ("`pval_g'") _tab "\\" _n 

file write myfile "\hline \end{tabular}"
file close myfile



