clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Robustness without day and hour restrictions
*******************************************************************************
use data/final/data_ceo_restr.dta, clear

keep if survey=="3-2010"

svyset Ordre_petició [pw= POND_GEO ], strata(strata) || ssu

global controls female casado educ_* ingr_* empleo_* *_cat nac_* edat edat2 mun_*

///Table
*All restrictions
eststo a: areg rel_catesp estatut $controls [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_1 "Hours and days"
*No days restrictions
eststo b: areg rel_catesp estatut $controls [pw= POND_GEO ] if HOR_INI<19, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_1 "Hours"
*No hours restrictions
eststo c: areg rel_catesp estatut $controls [pw= POND_GEO ] if time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_1 "Days"
*No restrictions
eststo d: areg rel_catesp estatut $controls [pw= POND_GEO ], absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_1 "No"

esttab a b c d using output/tab_rep/table_rob_timehour.tex, nonumbers nonotes se label ///
sfmt(%8.2f) ///
star(* 0.10 ** 0.05 *** 0.01) keep(estatut) ///
mtitles("(1)" "(2)" "(3)" "(4)") ///
mgroups("\makecell{More autonomy}", ///
pattern(1 0 0 0) prefix(\multicolumn{@span}{c}{) suffix(}) ///
span erepeat(\cmidrule(lr){@span})) ///
scalars("sta R-squared" "info_1 Restrictions") ///
compress replace