clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Summary statistics: outcomes variables
*******************************************************************************
use data/final/data_ceo_restr.dta, clear

keep if survey=="3-2010"

svyset Ordre_petició [pw= POND_GEO ], strata(strata) || ssu

file open myfile using output/tab_rep/table_balancing_sumout.txt, write replace
file write myfile "\begin{tabular}{l c c} \hline\hline \textbf{Variable} & \textbf{Mean} & \textbf{Mean sample}  \\  & (1) & (2) \\ \hline" _n

local varlist  "entr_cat casa_cat trabajo_cat amigos_cat nac_kat nac_esp nac_for nac_padre_kat nac_padre_esp nac_padre_for nac_madre_kat nac_madre_esp nac_madre_for  female casado educ_menoseso educ_eso educ_bach educ_uni ingr_1000 ingr_1001_2000 ingr_2001_3000 ingr_3001 empleo_aut empleo_dep empleo_unem edat edat2 mun_0_2000 mun_2001_10000 mun_10001_50000 mun_50001_150000 mun_150001_1000000 mun_1000000"
foreach var in `varlist'{

 
if "`var'"=="entr_cat"{
 local name = "Interview in catalan"
 }
     else if "`var'"=="casa_cat"{
 local name = "Speak catalan at home"
 }
     else if "`var'"=="trabajo_cat"{
 local name = "Speak catalan at work"
 }
     else if "`var'"=="amigos_cat"{
 local name = "Speak catalan with friends"
 }
     else if "`var'"=="nac_kat"{
 local name = "Born in Catalonia"
 }
     else if "`var'"=="nac_esp"{
 local name = "Born in rest of Spain"
 }
     else if "`var'"=="nac_for"{
 local name = "Foreign born"
 }
     else if "`var'"=="nac_padre_kat"{
 local name = "Father born in Catalonia"
 }
     else if "`var'"=="nac_padre_esp"{
 local name = "Father born in rest of Spain"
 }
     else if "`var'"=="nac_padre_for"{
 local name = "Father foreign born"
 }
     else if "`var'"=="nac_madre_kat"{
 local name = "Mother born in Catalonia"
 }
     else if "`var'"=="nac_madre_esp"{
 local name = "Mother born in rest of Spain"
 }
     else if "`var'"=="nac_madre_for"{
 local name = "Mother foreign born"
 }
     else if "`var'"=="female"{
 local name = "Female"
 }
     else if "`var'"=="casado"{
 local name = "Married"
 }
     else if "`var'"=="educ_menoseso"{
 local name = "Educ. lower ESO"
 }
      else if "`var'"=="educ_eso"{
 local name = "Educ. ESO"
 }
      else if "`var'"=="educ_bach"{
 local name = "Educ. bachillerato"
 }
      else if "`var'"=="educ_uni"{
 local name = "Educ. university"
 }
      else if "`var'"=="ingr_1000"{
 local name = "Income lower 1k"
 }
      else if "`var'"=="ingr_1001_2000"{
 local name = "Income 1k-2k"
 }
      else if "`var'"=="ingr_2001_3000"{
 local name = "Income 2k-3k"
 }
      else if "`var'"=="ingr_3001"{
 local name = "Income 3k or more"
 }
      else if "`var'"=="empleo_aut"{
 local name = "Self-employed"
 }
      else if "`var'"=="empleo_dep"{
 local name = "Employed"
 }
      else if "`var'"=="empleo_unem"{
 local name = "Unemployed"
 }
     else if "`var'"=="edat"{
 local name = "Age"
 }
      else if "`var'"=="edat2"{
 local name = "Age squared"
 }
            else if "`var'"=="mun_0_2000"{
 local name = "City pop. 0-2000"
 }
            else if "`var'"=="mun_2001_10000"{
 local name = "City pop. 2001-10000"
 }
             else if "`var'"=="mun_10001_50000"{
 local name = "City pop. 10001-50000"
 }
              else if "`var'"=="mun_50001_150000"{
 local name = "City pop. 50001-150000"
 }
              else if "`var'"=="mun_150001_1000000"{
 local name = "City pop. 1500001-1000000"
 }
			  else if "`var'"=="mun_1000000"{
 local name = "City pop. 1000000 or more"
 }
 else {
 local name = "ERROR"
 }
 
 
		if "`var'"=="edat" | "`var'"=="edat2"{
 local cont = 1
 }
      else {
 local cont = 0
 }
 
 svy: mean `var'
 matrix define ress = e(b)
 local aaa = ress[1,1]
 local aa = string(round(`aaa',.01) , "%9.2f")
 
  svy: mean `var'  if HOR_INI<19 & time<7
 matrix define ress = e(b)
 local bbb = ress[1,1]
 local bb = string(round(`bbb',.01) , "%9.2f")

  file write myfile ("`name'") _tab  "&"   _tab %11.2f ("`aa'") _tab "&"   _tab %11.2f ("`bb'") _tab   "\\" _n 
 
 } 

file write myfile "\hline \end{tabular}"
file close myfile