clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Waiting time
*******************************************************************************

*******************************************************************************
***Generating waiting time of the interview and additional variables
*******************************************************************************
use data/final/data_ceo_restr.dta, clear

keep if survey=="2-2010" | survey=="3-2010"

***Waiting time of interviews
do code/analysis/appendix/tab/table_a21_aux_cleaning_wait.do

*******************************************************************************
***Regressions
*******************************************************************************

***Differences in waiting time
eststo a: reghdfe wait_my estatut [pw= POND_GEO ] if HOR_INI<19 & (wave==2 | (wave==3 & time<7)), absorb(wave dia_entr HOR_INI) vce(robust)
estadd scalar sta = e(r2_a)
estadd local info_com "No"
estadd local info_con "No"
estadd local info_whd "Yes"
estadd local info_sam "W2-W3-2010"

***Robustness using waiting time
svyset Ordre_petició [pw= POND_GEO ], strata(strata) || ssu

global controls female casado educ_* ingr_* empleo_* *_cat nac_* edat edat2 mun_*

eststo b: areg rel_catesp estatut $controls wait_my [pw= POND_GEO ] if wave==3 & HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_com "Yes"
estadd local info_con "Yes"
estadd local info_whd "No"
estadd local info_sam "W3-2010"

esttab a b using output/tab_rep/table_nonresp_partic.tex, eqlabel(none) nonumbers nonotes se label ///
sfmt(%8.2f) ///
star(* 0.10 ** 0.05 *** 0.01) keep(estatut wait_my) ///
mtitles("(1)" "(2)") ///
mgroups("\makecell{Waiting time}" "\makecell{More autonomy}", ///
pattern(1 1) prefix(\multicolumn{@span}{c}{) suffix(}) ///
span erepeat(\cmidrule(lr){@span})) ///
scalars("sta R-squared" "info_com Comarca FE" "info_con Controls" ///
"info_whd Wave, hour, day FEs" "info_sam Sample" ) ///
compress replace