clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Robustness specifications
*******************************************************************************
use data/final/data_ceo_restr.dta, clear

keep if survey=="3-2010"

svyset Ordre_petició [pw= POND_GEO ], strata(strata) || ssu

global controls female casado educ_* ingr_* empleo_* *_cat nac_* edat edat2 mun_*

***Binary
*Main
eststo a: probit indep estatut $controls i.COMARCA [pw= POND_GEO ] if HOR_INI<19 & time<7, cluster(PROVItime)
margins, dydx(estatut)
mat b = r(b)
local bb=b[1,1]
local mmarg_b=string(`bb' , "%9.3f")
mat v = r(V)
local vv=v[1,1]^0.5
local mmarg_se=string(`vv' , "%9.3f")
estadd local info_bb "`mmarg_b'"
estadd local info_se "`mmarg_se'"
*Insatisfication democracy
eststo b: probit satisf_demo_poco estatut $controls i.COMARCA [pw= POND_GEO ] if HOR_INI<19 & time<7, cluster(PROVItime)
margins, dydx(estatut)
mat b = r(b)
local bb=b[1,1]
local mmarg_b=string(`bb' , "%9.2f")
mat v = r(V)
local vv=v[1,1]^0.5
local mmarg_se=string(`vv' , "%9.2f")
estadd local info_bb "`mmarg_b'"
estadd local info_se "`mmarg_se'"
*Problems: Cat-esp
eststo c: probit problmost_catesp estatut $controls i.COMARCA [pw= POND_GEO ] if HOR_INI<19 & time<7, cluster(PROVItime)
margins, dydx(estatut)
mat b = r(b)
local bb=b[1,1]
local mmarg_b=string(`bb' , "%9.2f")
mat v = r(V)
local vv=v[1,1]^0.5
local mmarg_se=string(`vv' , "%9.2f")
estadd local info_bb "`mmarg_b'"
estadd local info_se "`mmarg_se'"
*Problems: Estatut
eststo d: probit problmostspec_estatut estatut $controls i.COMARCA [pw= POND_GEO ] if HOR_INI<19 & time<7, cluster(PROVItime)
margins, dydx(estatut)
mat b = r(b)
local bb=b[1,1]
local mmarg_b=string(`bb' , "%9.2f")
mat v = r(V)
local vv=v[1,1]^0.5
local mmarg_se=string(`vv' , "%9.2f")
estadd local info_bb "`mmarg_b'"
estadd local info_se "`mmarg_se'"
*Problems: eco-lab
eststo e: probit problmost_ecolab estatut $controls i.COMARCA [pw= POND_GEO ] if HOR_INI<19 & time<7, cluster(PROVItime)
margins, dydx(estatut)
mat b = r(b)
local bb=b[1,1]
local mmarg_b=string(`bb' , "%9.2f")
mat v = r(V)
local vv=v[1,1]^0.5
local mmarg_se=string(`vv' , "%9.2f")
estadd local info_bb "`mmarg_b'"
estadd local info_se "`mmarg_se'"
*Voting
eststo f: probit part_indep estatut $controls i.COMARCA [pw= POND_GEO ] if HOR_INI<19 & time<7, cluster(PROVItime)
margins, dydx(estatut)
mat b = r(b)
local bb=b[1,1]
local mmarg_b=string(`bb' , "%9.2f")
mat v = r(V)
local vv=v[1,1]^0.5
local mmarg_se=string(`vv' , "%9.2f")
estadd local info_bb "`mmarg_b'"
estadd local info_se "`mmarg_se'"

esttab a b c d e f using output/tab_rep/table_rob_spec_probit.tex, eqlabel(none) nonumbers nonotes se label nomtitles ///
sfmt(%8.2f) ///
star(* 0.10 ** 0.05 *** 0.01) keep(estatut) ///
prehead(\begin{tabular}{lcccccc} \hline \hline & Indep. & Insatisf. & \multicolumn{3}{c}{Most important problems} & Cat parties \\ & & Demo. & Cat-Esp & Statute & Eco-lab & Future vote \\ \cmidrule(lr){2-2} \cmidrule(lr){3-3} \cmidrule(lr){4-6} \cmidrule(lr){7-7} & (1) & (2) & (3) & (4) & (5) & (6) \\ \hline) /// 
scalars("info_bb M.E. coeff." "info_se M.E. s.e.") ///
postfoot(\hline \hline \\ \end{tabular}) ///
compress replace