clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Robustness specifications
*******************************************************************************
use data/final/data_ceo_restr.dta, clear

keep if survey=="3-2010"

svyset Ordre_petició [pw= POND_GEO ], strata(strata) || ssu

global controls female casado educ_* ingr_* empleo_* *_cat nac_* edat edat2 mun_*

***Ordered probit
*Trust: Courts
eststo a: oprobit trust_trib estatut $controls i.COMARCA [pw= POND_GEO ] if HOR_INI<19 & time<7, cluster(PROVItime)
*Trust: Gvt Esp
eststo b: oprobit trust_govesp estatut $controls i.COMARCA [pw= POND_GEO ] if HOR_INI<19 & time<7, cluster(PROVItime) 
*Trust: Parl Esp
eststo c: oprobit trust_parlesp estatut $controls i.COMARCA [pw= POND_GEO ] if HOR_INI<19 & time<7, cluster(PROVItime)
*Trust: Gvt Cat
eststo d: oprobit trust_govcat estatut $controls i.COMARCA [pw= POND_GEO ] if HOR_INI<19 & time<7, cluster(PROVItime)
*Trust: Parl Cat
eststo e: oprobit trust_parlcat estatut $controls i.COMARCA [pw= POND_GEO ] if HOR_INI<19 & time<7, cluster(PROVItime)
*Trust: Parties
eststo f: oprobit trust_part estatut $controls i.COMARCA [pw= POND_GEO ] if HOR_INI<19 & time<7, cluster(PROVItime)

esttab a b c d e f using output/tab_rep/table_rob_spec_trust.tex, eqlabel(none) nonumbers nonotes se label nomtitles ///
sfmt(%8.2f) ///
star(* 0.10 ** 0.05 *** 0.01) keep(estatut) ///
prehead(\begin{tabular}{lcccccc} \hline \hline & \multicolumn{6}{c}{Trust} \\ & Courts & Esp Gov't & Esp Parl. & Cat Gov't  & Cat Parl. & Parties \\ & (1) & (2) & (3) & (4) & (5) & (6) \\ \hline) /// 
postfoot(\hline \hline \\ \end{tabular}) ///
compress replace