clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Polarization results controlling for additional characteristics
*******************************************************************************
use data/final/data_ceo_restr.dta, clear

keep if survey=="3-2010"

svyset Ordre_petició [pw= POND_GEO ], strata(strata) || ssu

global controls_nolangnopadremadre female casado educ_* ingr_* empleo_* nac_esp nac_for edad_* mun_*


*Baseline
eststo a: areg rel_catesp dnac_padres_kat_ambos estatut est_si_padres $controls_nolangnopadremadre [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_inter "No"

*Adding interaction with female
eststo b: areg rel_catesp est_female dnac_padres_kat_ambos estatut est_si_padres $controls_nolangnopadremadre [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_inter "Female"

*Adding interaction with married
eststo c: areg rel_catesp est_casado dnac_padres_kat_ambos estatut est_si_padres $controls_nolangnopadremadre [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_inter "Married"

*Adding interaction with age
eststo d: areg rel_catesp est_edad_* dnac_padres_kat_ambos estatut est_si_padres $controls_nolangnopadremadre [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_inter "Age"

*Adding interaction with education
eststo e: areg rel_catesp est_educ_* dnac_padres_kat_ambos estatut est_si_padres $controls_nolangnopadremadre [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_inter "Educ."

*Adding interaction with income
eststo f: areg rel_catesp est_ingr_* dnac_padres_kat_ambos estatut est_si_padres $controls_nolangnopadremadre [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_inter "Income"

*Adding interaction with employment
eststo g: areg rel_catesp est_empleo_* dnac_padres_kat_ambos estatut est_si_padres $controls_nolangnopadremadre [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_inter "Empl."

*Adding interaction with birth place
eststo h: areg rel_catesp est_nac_esp est_nac_for dnac_padres_kat_ambos estatut est_si_padres $controls_nolangnopadremadre [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_inter "Birth place" 

*Adding interaction with all
eststo i: areg rel_catesp est_female est_casado est_edad_* est_educ_* est_ingr_* est_empleo_* est_nac_esp est_nac_for dnac_padres_kat_ambos estatut est_si_padres $controls_nolangnopadremadre [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_inter "All"

esttab a b c d e f g h i using output/tab_rep/table_inst_cat_rob_collin.tex, eqlabel(none) nonumbers nonotes se label ///
sfmt(%8.2f) ///
star(* 0.10 ** 0.05 *** 0.01) keep(dnac_padres_kat_ambos estatut est_si_padres) ///
mtitles("(1)" "(2)" "(3)" "(4)" "(5)" "(6)" "(7)" "(8)" "(9)") ///
mgroups("\makecell{More autonomy}", ///
pattern(1 0 0 0 0 0 0 0 0) prefix(\multicolumn{@span}{c}{) suffix(}) ///
span erepeat(\cmidrule(lr){@span})) ///
scalars("sta R-squared" "info_inter Add. interactions") ///
compress replace
