clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Equality coefficient voting and past vote
*******************************************************************************
*Expand number of observations, larger variable
use data/final/data_ceo_restr.dta, clear

keep if survey=="2-2010" | survey=="3-2010"

svyset Ordre_petició [pw= POND_GEO ], strata(strata) || ssu

global controls female casado educ_* ingr_* empleo_* *_cat nac_* edat edat2 mun_*

gen part_indep_old_corr=(P30==2 | P30==3)
gen part_indep_corr=(P32==2 | P32==3)

eststo a: areg part_indep_old_corr estatut $controls [pw= POND_GEO ] if survey=="3-2010" & HOR_INI<19 & time<7 , absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)

eststo b: areg part_indep_corr estatut $controls [pw= POND_GEO ] if survey=="3-2010" & HOR_INI<19 & time<7 , absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)

***Expanding number of observations, third wave as control

gen sample=1 if survey=="2-2010" & HOR_INI<19
replace sample=1 if survey=="3-2010" & HOR_INI<19 & time<7

eststo c: areg part_indep_old estatut $controls [pw= POND_GEO ] if (survey=="3-2010" & HOR_INI<19 & time<7) | survey=="2-2010", absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)

eststo d: areg part_indep estatut $controls [pw= POND_GEO ] if (survey=="3-2010" & HOR_INI<19 & time<7) | survey=="2-2010", absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)


*Compile table
esttab a b c d using output/tab_rep/table_rob_vote.tex, se b(%8.4f) se(%12.3f) ///
nonotes style(tex) label replace fragment nonumbers nomtitles ///
sca("sta R$^2$") ///
starlevels(* 0.10 ** 0.05 *** 0.01) keep(estatut) ///
prehead(\begin{tabular}{lcccc} \hline \hline & \multicolumn{2}{c}{All voting categories} & \multicolumn{2}{c}{Ruling and previous wave} \\ \cmidrule(lr){2-3} \cmidrule(lr){4-5}  & Past vote & Vote & Past vote & Vote \\ & (1) & (2) & (3) & (4) \\ \hline) ///
postfoot(\hline \hline \\ \end{tabular})
estimates clear