clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Summary statistics: by party
*******************************************************************************
use data/final/data_ceo_2006_2013.dta, clear

drop if ANY>2012

gen ppc_old=(P30_CENS==1)
replace ppc_old=. if P30_CENS>90

gen ciu_old=(P30_CENS==2)
replace ciu_old=. if P30_CENS>90

gen erc_old=(P30_CENS==3)
replace erc_old=. if P30_CENS>90

gen psc_old=(P30_CENS==4)
replace psc_old=. if P30_CENS>90

gen icv_old=(P30_CENS==5)
replace icv_old=. if P30_CENS>90

gen cs_old=(P30_CENS==6)
replace cs_old=. if P30_CENS>90

foreach var of varlist *_old{
replace `var'=. if P30_CENS>6
}

svyset ORDRE [pw= POND_GEO ], strata(strata) || ssu

file open myfile using  output/tab_rep/table_sum_party.txt, write replace
file write myfile "\begin{tabular}{l c c c c c c c} \hline\hline \textbf{Variable} & \textbf{Mean} & \textbf{Mean CiU} & \textbf{Mean ERC} & \textbf{Mean PSC} & \textbf{Mean ICV-EUiA} & \textbf{Mean PPC} & \textbf{Mean Cs} \\ \hline" _n

local varlist  "indep estadofed ccaa regio"
foreach var in `varlist'{

 
if "`var'"=="indep"{
 local name = "Support for independence"
 }
     else if "`var'"=="estadofed"{
 local name = "Support for federal state"
 }
   else if "`var'"=="ccaa"{
 local name = "Support for Autonomous community"
 }
     else if "`var'"=="regio"{
 local name = "Support for region"
 }
else {
 local name = "ERROR"
 }
 
mean `var'  if hoursurvey==0 & BOP_NUM<21 & BOP_NUM>=7 [pw=POND_GEO]
   
   matrix define ress = e(b)
   local aaa = ress[1,1]
   local aa = string(round(`aaa',.01) , "%9.2f")
   
mean `var'  if hoursurvey==0 & BOP_NUM<21 & BOP_NUM>=7 & ciu_old==1 [pw=POND_GEO]
   
   matrix define ress = e(b)
   local bbb = ress[1,1]
   local bb = string(round(`bbb',.01) , "%9.2f")
   
mean `var'  if hoursurvey==0 & BOP_NUM<21 & BOP_NUM>=7 & erc_old==1 [pw=POND_GEO]
   
   matrix define ress = e(b)
   local ccc = ress[1,1]
   local cc = string(round(`ccc',.01) , "%9.2f")
   
mean `var'  if hoursurvey==0 & BOP_NUM<21 & BOP_NUM>=7 & psc_old==1 [pw=POND_GEO]
   
   matrix define ress = e(b)
   local ddd = ress[1,1]
   local dd = string(round(`ddd',.01) , "%9.2f")
   
mean `var'  if hoursurvey==0 & BOP_NUM<21 & BOP_NUM>=7 & icv_old==1 [pw=POND_GEO]
   
   matrix define ress = e(b)
   local eee = ress[1,1]
   local ee = string(round(`eee',.01) , "%9.2f")
   
mean `var'  if hoursurvey==0 & BOP_NUM<21 & BOP_NUM>=7 & ppc_old==1 [pw=POND_GEO]
   
   matrix define ress = e(b)
   local fff = ress[1,1]
   local ff = string(round(`fff',.01) , "%9.2f")

mean `var'  if hoursurvey==0 & BOP_NUM<21 & BOP_NUM>=7 & cs_old==1 [pw=POND_GEO]
   
   matrix define ress = e(b)
   local ggg = ress[1,1]
   local gg = string(round(`ggg',.01) , "%9.2f")
 
   file write myfile ("`name'") _tab  "&"   _tab %11.2f ("`aa'") _tab "&"   _tab %11.2f ("`bb'") _tab "&"   _tab %11.2f ("`cc'") _tab "&"   _tab %11.2f ("`dd'") _tab "&"   _tab %11.2f ("`ee'") _tab "&"   _tab %11.2f ("`ff'") _tab "&"   _tab %11.2f ("`gg'") _tab "\\" _n 
 
 } 
*

file write myfile "\hline \end{tabular}"
file close myfile