clear all
set more off

*Set working directory
*cd "C:/Users/.../replication_ccdm"

*******************************************************************************
***Persistence: individual heterogeneity
*******************************************************************************
use data/final/data_ceo_restr.dta, clear

drop if wave!=3

drop entr_cat

append using data/final/data_ceo_2006_2013.dta

drop if ANY>2012

global controls female casado educ_* ingr_* empleo_* *_cat nac_* edad_* mun_*

gen est_trabajo_ca=estatut*trabajo_cat
label var est_trabajo_ca "Ruling x speak catalan at work"

global inter est_nac*_esp est_nac*_for est_*_ca est_female est_edad_* est_casado ///
			 est_educ* est_ingr* est_empleo*
	
*Independence
eststo a: areg indep estatut $controls $inter [pw= POND_GEO ] if HOR_INI<19 & time<7 & hoursurvey==. & wave==3, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)

*Trust courts
eststo b: areg trust_trib estatut $controls $inter [pw= POND_GEO ] if HOR_INI<19 & time<7 & hoursurvey==. & wave==3, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)

esttab a b using output/tab_rep/table_het_indeptrib.tex, eqlabel(none) nonumbers nonotes se label ///
sfmt(%8.2f) ///
star(* 0.10 ** 0.05 *** 0.01) keep(estatut est_nac*_esp est_nac_for est_nac_padre_for est_*_ca est_female est_edad_* est_casado ///
est_educ* est_ingr* est_empleo*) ///
mtitles("(1)" "(2)") ///
mgroups("\makecell{Independence}" "\makecell{Trust: Courts}", ///
pattern(1 1) prefix(\multicolumn{@span}{c}{) suffix(}) ///
span erepeat(\cmidrule(lr){@span})) ///
scalars("sta R-squared") ///
compress replace