clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Long-term voting: additional results
*******************************************************************************
***Prediction W3-2010
do code/analysis/appendix/tab/table_a32_a33_a34_aux_prediction_w3.do

***Value for splitting the sample
sum share_v_erc_99, det
local erc_99_p50=`r(p50)'
local erc_99_p75=`r(p75)'

*Turnout, ERC cities
eststo a: areg turnout post2010 post2010me_est if (iloc==8 | junts==1) & (t_loc==1999 | t_loc==2003 | t_loc==2006 | t_loc==2015) & share_v_erc_99>`erc_99_p50', absorb(codiine) rob
estadd scalar sta = e(r2_a)
estadd local info_city "Yes"
estadd local info_years "99-03-06-15"
estadd local info_sam "ERC-99 P50+"
*Turnout, non-ERC cities
eststo b: areg turnout post2010 post2010me_est if (iloc==8 | junts==1) & (t_loc==1999 | t_loc==2003 | t_loc==2006 | t_loc==2015) & share_v_erc_99<=`erc_99_p50', absorb(codiine) rob
estadd scalar sta = e(r2_a)
estadd local info_city "Yes"
estadd local info_years "99-03-06-15"
estadd local info_sam "ERC-99 P50-"
*Share ERC, all cities
eststo c: areg share_v_erc post2010 post2010me_est if (iloc==8 | junts==1) & (t_loc==1999 | t_loc==2003 | t_loc==2006 | t_loc==2012), absorb(codiine) rob
estadd scalar sta = e(r2_a)
estadd local info_city "Yes"
estadd local info_years "99-03-06-12"
estadd local info_sam "All cities"
*Share CiU, all cities
eststo d: areg share_v_ciu post2010 post2010me_est if (iloc==4 | junts==1) & (t_loc==1999 | t_loc==2003 | t_loc==2006 | t_loc==2012), absorb(codiine) rob
estadd scalar sta = e(r2_a)
estadd local info_city "Yes"
estadd local info_years "99-03-06-12"
estadd local info_sam "All cities"
*Share PSC, ERC cities
eststo e: areg share_v post2010 post2010me_est if iloc==2 & (t_loc==1999 | t_loc==2003 | t_loc==2006 | t_loc==2015) & share_v_erc_99>`erc_99_p50', absorb(codiine) rob
estadd scalar sta = e(r2_a)
estadd local info_city "Yes"
estadd local info_years "99-03-06-15"
estadd local info_sam "ERC-99 P50+"
*Share PSC, non-ERC cities
eststo f: areg share_v post2010 post2010me_est if iloc==2 & (t_loc==1999 | t_loc==2003 | t_loc==2006 | t_loc==2015) & share_v_erc_99<=`erc_99_p50', absorb(codiine) rob
estadd scalar sta = e(r2_a)
estadd local info_city "Yes"
estadd local info_years "99-03-06-15"
estadd local info_sam "ERC-99 P50-"
*Share indepentist parties, Post*ME*ERC more than median
eststo g: areg share_v_allindep post2010 post2010me_est post2010me_est_erc_moremed if (iloc==8 | junts==1) & (t_loc==1999 | t_loc==2003 | t_loc==2006 | t_loc==2015), absorb(codiine) rob
estadd scalar sta = e(r2_a)
estadd local info_city "Yes"
estadd local info_years "99-03-06-15"
estadd local info_sam "All cities"
*Share indepentist parties, Post*ME*share ERC
eststo h: areg share_v_allindep post2010 post2010me_est post2010me_est_erc_1 post2010me_est_erc_2 if (iloc==8 | junts==1) & (t_loc==1999 | t_loc==2003 | t_loc==2006 | t_loc==2015), absorb(codiine) rob
estadd scalar sta = e(r2_a)
estadd local info_city "Yes"
estadd local info_years "99-03-06-15"
estadd local info_sam "All cities"

esttab a b c d e f g h using output/tab_rep/table_pers_voting_app.tex, eqlabel(none) nonumbers nonotes se label ///
sfmt(%8.2f) ///
star(* 0.10 ** 0.05 *** 0.01) keep(post2010 post2010me_est post2010me_est_erc_moremed post2010me_est_erc_1 post2010me_est_erc_2) ///
mtitles("(1)" "(2)" "(3)" "(4)" "(5)" "(6)" "(7)" "(8)") ///
mgroups("\makecell{Turnout}" "\makecell{Share ERC}" "\makecell{Share CiU}" "\makecell{Share PSC}" "\makecell{Share Indep.}", ///
pattern(1 0 1 1 1 0 1 0) prefix(\multicolumn{@span}{c}{) suffix(}) ///
span erepeat(\cmidrule(lr){@span})) ///
scalars("sta R-squared" "info_city City FE" "info_years Years" "info_sam Sample") ///
compress replace