*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Bootstrap commands
*******************************************************************************
***Bootstrap command, ERC cities
capture program drop myboot_more
program define myboot_more, rclass
 preserve 
  
  reg indep estatut est_provimun_d* provimun_d* $controls [pw= POND_GEO ] if HOR_INI<19 & time<7, cluster(PROVItime)
  
  gen me_est=_b[estatut]+ ///
		   _b[est_provimun_d2]*provimun_d2+_b[est_provimun_d3]*provimun_d3+ ///
		   _b[est_provimun_d4]*provimun_d4+_b[est_provimun_d5]*provimun_d5+ ///
		   _b[est_provimun_d5]*provimun_d6+_b[est_provimun_d7]*provimun_d7+ ///
		   _b[est_provimun_d6]*provimun_d8+_b[est_provimun_d9]*provimun_d9+ ///
		   _b[est_provimun_d10]*provimun_d10+_b[est_provimun_d11]*provimun_d11+ ///
		   _b[est_provimun_d12]*provimun_d12+_b[est_provimun_d13]*provimun_d13+ ///
		   _b[est_provimun_d14]*provimun_d14+_b[est_provimun_d15]*provimun_d15+ ///
		   _b[est_provimun_d16]*provimun_d16+_b[est_provimun_d17]*provimun_d17+ ///
		   _b[est_provimun_d18]*provimun_d18
  
  predict pred_estatut, xb
  
  drop if estatut==0
  
  collapse (mean) me_est pred_estatut (first) PROVI HABITAT, by(provimun)

  merge 1:m PROVI HABITAT using data/final/data_voting.dta
  drop if _merge!=3
  drop _merge

  gen post2010me_est=post2010*me_est
  
  sum share_v_erc_99, det
  local erc_99_p50=`r(p50)'
  
  areg share_v_allindep post2010 post2010me_est if (iloc==8 | junts==1) & (t_loc==1999 | t_loc==2003 | t_loc==2006 | t_loc==2015) & share_v_erc_99>`erc_99_p50', absorb(codiine) rob
  
  return scalar ate_1=_b[post2010]

  return scalar ate_2=_b[post2010me_est]
   
 restore
end

***Bootstrap command, non-ERC cities
capture program drop myboot_less
program define myboot_less, rclass
 preserve 
  
  reg indep estatut est_provimun_d* provimun_d* $controls [pw= POND_GEO ] if HOR_INI<19 & time<7, cluster(PROVItime)
  
  gen me_est=_b[estatut]+ ///
		   _b[est_provimun_d2]*provimun_d2+_b[est_provimun_d3]*provimun_d3+ ///
		   _b[est_provimun_d4]*provimun_d4+_b[est_provimun_d5]*provimun_d5+ ///
		   _b[est_provimun_d5]*provimun_d6+_b[est_provimun_d7]*provimun_d7+ ///
		   _b[est_provimun_d6]*provimun_d8+_b[est_provimun_d9]*provimun_d9+ ///
		   _b[est_provimun_d10]*provimun_d10+_b[est_provimun_d11]*provimun_d11+ ///
		   _b[est_provimun_d12]*provimun_d12+_b[est_provimun_d13]*provimun_d13+ ///
		   _b[est_provimun_d14]*provimun_d14+_b[est_provimun_d15]*provimun_d15+ ///
		   _b[est_provimun_d16]*provimun_d16+_b[est_provimun_d17]*provimun_d17+ ///
		   _b[est_provimun_d18]*provimun_d18
  
  predict pred_estatut, xb
  
  drop if estatut==0
  
  collapse (mean) me_est pred_estatut (first) PROVI HABITAT, by(provimun)

  merge 1:m PROVI HABITAT using data/final/data_voting
  drop if _merge!=3
  drop _merge

  gen post2010me_est=post2010*me_est
  
  sum share_v_erc_99, det
  local erc_99_p50=`r(p50)'
  
  areg share_v_allindep post2010 post2010me_est if (iloc==8 | junts==1) & (t_loc==1999 | t_loc==2003 | t_loc==2006 | t_loc==2015) & share_v_erc_99<=`erc_99_p50', absorb(codiine) rob
  
  return scalar ate_1=_b[post2010]

  return scalar ate_2=_b[post2010me_est]
   
 restore
end