set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Voting data: additional cleaning
*******************************************************************************
use data/final/data_autonomiques.dta, clear
gen PROVI=1 if nprov=="Barcelona"
replace PROVI=2 if nprov=="Girona"
replace PROVI=3 if nprov=="Lleida"
replace PROVI=4 if nprov=="Tarragona"

gen pob_2010_2=pob if t_loc==2010
egen pob_2010=max(pob_2010_2) ,by(codiine)
drop pob_2010_2

gen HABITAT=1 if pob_2010<=2000
replace HABITAT=2 if pob_2010>=2001 & pob_2010<=10000
replace HABITAT=3 if pob_2010>=10001 & pob_2010<=50000
replace HABITAT=4 if pob_2010>=50001 & pob_2010<=150000
replace HABITAT=5 if pob_2010>=150001 & pob_2010<=1000000
replace HABITAT=6 if pob_2010>=1000001

gen name = lower(ustrto(ustrnormalize(npartit_loc, "nfd"), "ascii", 2))
gen junts=(name=="junts pel si")

gen risi=(name=="reagrupament independentista" | name=="solidaritat catalana per la independencia")
gen cup=(name=="candidatura d'unitat popular-alternativa d'esquerres" | name=="candidatura d'unitat popular")
gen allindep=(iloc==4 | iloc==8 | junts==1 | cup==1)

gen share_v=vloc/votants

gen share_v_erc=share_v if iloc==8
egen share_v_allindep = total(share_v) if junts==1| iloc==4 | iloc==8 | risi==1 | cup==1,by(codiin t_loc)

gen share_v_erc_99_2=share_v_erc if t_loc==1999
egen share_v_erc_99=max(share_v_erc_99_2), by(codiine)
drop share_v_erc_99_2


sum share_v_erc_99, det
gen share_v_erc_99_moremed=(share_v_erc_99>=`r(p50)')


gen post2010=(t_loc>=2010)

keep share_v_allindep post2010 iloc junts t_loc share_v_erc_99* codiine PROVI HABITAT

save data/final/data_voting.dta, replace