clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Heterogeneities: table
*******************************************************************************
use data/final/data_ceo_restr.dta, clear

keep if survey=="3-2010"

svyset Ordre_petició [pw= POND_GEO ], strata(strata) || ssu

///Heterogeneities
*Born
eststo a: areg rel_catesp estatut est_nac_esp est_nac_for female casado educ_* ingr_* empleo_* *_cat nac_* edad_* mun_* [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_om "Born Cat"
*Father born
eststo b: areg rel_catesp estatut est_nac_padre_esp est_nac_padre_for female casado educ_* ingr_* empleo_* *_cat nac_* edad_* mun_* [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_om "Born Cat"
*Mother born
eststo c: areg rel_catesp estatut est_nac_madre_esp est_nac_madre_for female casado educ_* ingr_* empleo_* *_cat nac_* edad_* mun_* [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_om "Born Cat"
*Language spoken at home
eststo d: areg rel_catesp estatut est_casa_ca female casado educ_* ingr_* empleo_* *_cat nac_* edad_* mun_* [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_om "."
*Language spoken with friends
eststo e: areg rel_catesp estatut est_amigos_ca female casado educ_* ingr_* empleo_* *_cat nac_* edad_* mun_* [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_om "."
*Sex
eststo f: areg rel_catesp estatut est_female female casado educ_* ingr_* empleo_* *_cat nac_* edad_* mun_* [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_om "."
*Age
eststo g: areg rel_catesp estatut est_edad_* female casado educ_* ingr_* empleo_* *_cat nac_* edad_* mun_* [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_om "18-34"
*Marital status
eststo h: areg rel_catesp estatut est_casado female casado educ_* ingr_* empleo_* *_cat nac_* edad_* mun_* [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_om "."
*Education
eststo i: areg rel_catesp estatut est_educ* female casado educ_* ingr_* empleo_* *_cat nac_* edad_* mun_* [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_om "Lower ESO"
*Income
eststo l: areg rel_catesp estatut est_ingr* female casado educ_* ingr_* empleo_* *_cat nac_* edad_* mun_* [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_om "1k or lower"
*Employment
eststo m: areg rel_catesp estatut est_empleo* female casado educ_* ingr_* empleo_* *_cat nac_* edad_* mun_* [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_om "Unempl."

esttab a b c d e f g h i l m using output/tab_rep/table_het.tex, eqlabel(none) nonumbers nonotes se label ///
sfmt(%8.2f) ///
star(* 0.10 ** 0.05 *** 0.01) keep(estatut est_nac_esp est_nac_for est_nac_padre_esp est_nac_padre_for est_nac_madre_esp est_nac_madre_for est_casa_ca est_amigos_ca est_female est_edad_* est_casado est_educ* est_ingr* est_empleo*) ///
mtitles("(1)" "(2)" "(3)" "(4)" "(5)" "(6)" "(7)" "(8)" "(9)" "(10)" "(11)") ///
mgroups("\makecell{More autonomy}", ///
pattern(1 0 0 0 0 0 0 0 0 0 0) prefix(\multicolumn{@span}{c}{) suffix(}) ///
span erepeat(\cmidrule(lr){@span})) ///
scalars("sta R-squared" "info_om Omitted") ///
compress replace