clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

////////////////////////////////////////////////
///Catalan identity results
////////////////////////////////////////////////
use data/final/data_ceo_restr.dta, clear

keep if survey=="3-2010"

svyset Ordre_petició [pw= POND_GEO ], strata(strata) || ssu

global controls female casado educ_* ingr_* empleo_* *_cat nac_* edat edat2 mun_*

***Statistics and standardized variables
*Feeling catalan
svy: mean cat_feeling if HOR_INI<19 & time<7
estat sd
local mm_feel_w3 = string(round(r(mean)[1,1],.01) , "%9.2f")
local ss_feel_w3 = string(round(r(sd)[1,1],.01) , "%9.2f")

///Catalan identity
*OLS
eststo a: areg cat_feeling estatut $controls [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_est "OLS"

*Ordered probit
eststo b: oprobit cat_feeling estatut $controls i.COMARCA [pw= POND_GEO ] if HOR_INI<19 & time<7, cluster(PROVItime)
estadd local info_est "O-Probit"

esttab a b using output/tab_rep/table_identity.tex, eqlabel(none) nonumbers nonotes se label ///
sfmt(%8.2f) ///
star(* 0.10 ** 0.05 *** 0.01) keep(estatut) ///
mtitles("(1)" "(2)") ///
mgroups("\makecell{Feeling Catalan}", ///
pattern(1 0) prefix(\multicolumn{@span}{c}{) suffix(}) ///
span erepeat(\cmidrule(lr){@span})) ///
scalars("sta R-squared" "info_est Estimation") ///
compress replace