clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Effect of estatut, coefplot ordered probit
*******************************************************************************
use data/final/data_ceo_restr.dta, clear

keep if survey=="3-2010"

global controls female casado educ_* ingr_* empleo_* *_cat nac_* edat edat2 mun_*

matrix coeff = J(1,4,.)
matrix colnames coeff = "Region (less autonomy)" "Autonomous comm. (status quo)" "Federal state (more autonomy)" "Independence (full autonomy)" 
matrix CI = J(2,4,.)
matrix colnames CI = regio ccaa estadofed indep
matrix rownames CI = ll95 ul95
local i = 0

oprobit rel_catesp estatut $controls i.COMARCA [pw= POND_GEO ] if HOR_INI<19 & time<7,  cluster(PROVItime)
margins, dydx(estatut)
mat b = r(b)
forvalues i=1/4{
mat coeff[1,`i']=b[1,`i']
mat v = r(table)
mat CI[1,`i']=b[1,`i'] + v[2,`i']*invttail(e(N),0.05)
mat CI[2,`i']=b[1,`i'] - v[2,`i']*invttail(e(N),0.05)
}
coefplot matrix(coeff), ci(CI) xline(0) title(Effect of the Ruling)
graph export output/fig_rep/figure_cplot_main.png, as(png) replace