
*******************************************************************************
***Data with waiting time
*******************************************************************************

gen dia_entr=time+1 if wave==3
replace dia_entr=1 if wave==2 & DIA==16
replace dia_entr=2 if wave==2 & DIA==17
replace dia_entr=3 if wave==2 & DIA==19
replace dia_entr=4 if wave==2 & DIA==20
replace dia_entr=5 if wave==2 & DIA==21
replace dia_entr=6 if wave==2 & DIA==22
replace dia_entr=7 if wave==2 & DIA==23
replace dia_entr=8 if wave==2 & DIA==26
replace dia_entr=9 if wave==2 & DIA==27
replace dia_entr=10 if wave==2 & DIA==28
replace dia_entr=11 if wave==2 & DIA==29
replace dia_entr=12 if wave==2 & DIA==30

gen dia_semana="Lunes" if (DIA==19 & wave==2) | (DIA==26 & wave==2) | ///
						  (DIA==28 & wave==3) | (DIA==5 & wave==3)
replace dia_semana="Martes" if (DIA==20 & wave==2) | (DIA==27 & wave==2) | ///
						       (DIA==29 & wave==3) | (DIA==6 & wave==3)
replace dia_semana="Miercoles" if (DIA==21 & wave==2) | (DIA==28 & wave==2) | ///
						          (DIA==30 & wave==3) | (DIA==7 & wave==3)	
replace dia_semana="Jueves" if (DIA==22 & wave==2) | (DIA==29 & wave==2) | ///
						       (DIA==1 & wave==3) | (DIA==8 & wave==3)	
replace dia_semana="Viernes" if (DIA==16 & wave==2) | (DIA==23 & wave==2) | (DIA==30 & wave==2) | ///
							    (DIA==2 & wave==3)
replace dia_semana="Sabado"	 if (DIA==17 & wave==2) | (DIA==24 & wave==2) | ///
							    (DIA==3 & wave==3)	
								
sort wave dia_entr HOR_INI MIN_INI
egen seq=seq(), by(wave)

gen HORMIN_INI=HOR_INI*100+MIN_INI
gen HORMIN_FIN=HOR_FIN*100+MIN_FIN

gen wait_next=.
gen wait_next2=.
gen wait_next3=.

forvalues w=2/3{
 levelsof dia_entr if wave==`w', local(levels)
 foreach i of local levels {
levelsof seq if wave==`w' & dia_entr==`i', local(levels_2)
 foreach l of local levels_2 {
levelsof codi_enq if wave==`w' & dia_entr==`i', local(levels_3)
 foreach u of local levels_3{
 gen hormin_fin=HORMIN_FIN if seq==`l' & wave==`w' & dia_entr==`i' & codi_enq==`u'
 egen hormin_fin_all=min(hormin_fin)
 gen hor_fin_all=int(hormin_fin_all/100)
 egen rank=rank(seq) if HORMIN_INI>=hormin_fin_all & wave==`w' & dia_entr==`i' & codi_enq==`u'
 forvalues k=1/3{
 gen hormin_ini_`k'=HORMIN_INI if rank==`k'
 egen hormin_ini_all_`k'=min(hormin_ini_`k')
 gen hor_ini_all_`k'=int(hormin_ini_all_`k'/100)
 gen wait_next_`k'=hormin_ini_all_`k'-HORMIN_FIN
 replace wait_next_`k'=wait_next_`k'-40 if hor_fin_all!=hor_ini_all_`k'
 }
 egen wait_next_1_3=rowmean(wait_next_1 wait_next_2 wait_next_3)
 replace wait_next_1_3=. if wait_next_2==. | wait_next_3==.
 egen wait_next_1_2=rowmean(wait_next_1 wait_next_2)
 replace wait_next_1_2=. if wait_next_2==.
 replace wait_next=wait_next_1 if seq==`l' & wave==`w' & dia_entr==`i' & codi_enq==`u'
 replace wait_next=. if wait_next>60
 replace wait_next3=wait_next_1_3 if seq==`l' & wave==`w' & dia_entr==`i' & codi_enq==`u'
 replace wait_next3=. if wait_next3>60
 replace wait_next2=wait_next_1_2 if seq==`l' & wave==`w' & dia_entr==`i' & codi_enq==`u'
 replace wait_next2=. if wait_next2>60
 drop hormin_fin hormin_fin_all rank hormin_ini_* hor_fin_all hor_ini_all_* wait_next_*
 }
}
}
 }
 
drop seq

*Waiting time of the next interview
sort wave dia_entr codi_enq HOR_INI MIN_INI 
gen wait_my=wait_next[_n-1] if codi_enq[_n]==codi_enq[_n-1]
label var wait_my "Waiting time"