clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

////////////////////////////////////////////////
///Catalan identity results
////////////////////////////////////////////////
use data/final/data_ceo_restr.dta, clear

keep if survey=="3-2010"

svyset Ordre_petició [pw= POND_GEO ], strata(strata) || ssu

global controls female casado educ_* ingr_* empleo_* *_cat nac_* edat edat2 mun_*

///Culture, coefplot
matrix coeff = J(1,5,.)
matrix colnames coeff = "Feel only Spanish" "Feel more Spanish than Catalan" "Feel as Spanish as Catalan" "Feel more Catalan than Spanish" "Feel only Catalan"
matrix CI = J(2,5,.)
matrix colnames CI = Esp MoreEsp AsEspAsCat MoreCat Cat
matrix rownames CI = ll95 ul95
local i = 0

oprobit cat_feeling estatut $controls i.COMARCA [pw= POND_GEO ] if HOR_INI<19 & time<7, cluster(PROVItime)
margins, dydx(estatut)
forvalues i=1/5{
mat v = r(table)
mat coeff[1,`i'] = v[1,`i']
mat CI[1,`i'] = v[5,`i']
mat CI[2,`i'] = v[6,`i']
}

coefplot matrix(coeff), ci(CI) xline(0) title(Effect of the Ruling)
graph export output/fig_rep/figure_cplot_identity.png, as(png) replace