clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

////////////////////////////////////////////////
///Polarization PP vs non-PP
////////////////////////////////////////////////
use data/final/data_ceo_restr.dta, clear

keep if survey=="3-2010"

global controls female casado educ_* ingr_* empleo_* *_cat nac_* edat edat2 mun_*

***PP vs others, cplot
matrix coeff_noppc = J(1,4,.)
matrix colnames coeff_noppc = "Region (less autonomy)" "Autonomous comm. (status quo)" "Federal state (more autonomy)" "Independence (full autonomy)" 
matrix CI_noppc = J(2,4,.)
matrix colnames CI_noppc = regio ccaa estadofed indep
matrix rownames CI_noppc = ll95 ul95
local i = 0

oprobit rel_catesp estatut##ppc_old_all $controls i.COMARCA [pw= POND_GEO ] if HOR_INI<19 & time<7,  cluster(PROVItime)
margins, dydx(estatut) at(ppc_old_all==0)
mat b = r(b)
forvalues i=1/4{
local j=`i'+4
mat coeff_noppc[1,`i']=b[1,`j']
mat v = r(table)
mat CI_noppc[1,`i']=b[1,`j'] + v[2,`j']*invttail(e(N),0.05)
mat CI_noppc[2,`i']=b[1,`j'] - v[2,`j']*invttail(e(N),0.05)
}

matrix coeff_ppc = J(1,4,.)
matrix colnames coeff_ppc = "Region (less autonomy)" "Autonomous comm. (status quo)" "Federal state (more autonomy)" "Independence (full autonomy)" 
matrix CI_ppc = J(2,4,.)
matrix colnames CI_ppc = regio ccaa estadofed indep
matrix rownames CI_ppc = ll95 ul95
local i = 0

oprobit rel_catesp estatut##ppc_old_all $controls i.COMARCA [pw= POND_GEO ] if HOR_INI<19 & time<7,  cluster(PROVItime)
margins, dydx(estatut) at(ppc_old_all==1)
mat b = r(b)
forvalues i=1/4{
local j=`i'+4
mat coeff_ppc[1,`i']=b[1,`j']
mat v = r(table)
mat CI_ppc[1,`i']=b[1,`j'] + v[2,`j']*invttail(e(N),0.05)
mat CI_ppc[2,`i']=b[1,`j'] - v[2,`j']*invttail(e(N),0.05)
}

coefplot (matrix(coeff_ppc), ci(CI_ppc) label(PPC voters) xline(0) title(Effect of the Ruling) legend(position(6) rows(1)))  (matrix(coeff_noppc), ci(CI_noppc) label(Non-PPC voters) msymbol(D) ) 
graph export output/fig_rep/figure_cplot_polariz_pp.png, as(png) replace
