clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

////////////////////////////////////////////////
///Balancing coefficient plot
////////////////////////////////////////////////
use data/final/data_ceo_restr.dta, clear

keep if survey=="3-2010"

svyset Ordre_petició [pw= POND_GEO ], strata(strata) || ssu

global controls female casado educ_* ingr_* empleo_* *_cat nac_* edat edat2 mun_*

gen one=1
egen n_DIA=total(one), by(time)
tab time if time<=7, gen(time_d)
drop time_d1 one

mat treat = J(8,4,1)
mat treat[1,1] = 0
mat treat[1,2] = 0
mat treat[1,3] = 0
mat treat[1,4] = 0

areg indep time_d* $controls [pw= n_DIA ] if HOR_INI<19& time<=7, absorb(COMARCA) cluster(PROVItime)

forvalues i=2/8{
nlcom _b[time_d`i']
mat vvv=r(V)
local sss=(vvv[1,1])^(0.5)
local pos = `i' -1
mat treat[`i',1] = `i'-1
mat treat[`i',2] = _b[time_d`i']
mat treat[`i',3] = _b[time_d`i'] + `sss'*invttail(e(N),0.05)
mat treat[`i',4] = _b[time_d`i'] - `sss'*invttail(e(N),0.05)
}

g yyy = treat[_n,1] in 1/8
g efff = treat[_n,2] in 1/8
g efff_10 = treat[_n,3] in 1/8
g efff_90 = treat[_n,4] in 1/8

label var efff "Coefficient"
label var efff_10 "Lower bound CI 10"
label var efff_90 "Higher bound CI 90"

sort time

twoway (rcap efff_10 efff_90 yyy, yaxis(1) ytitle("Coefficient")) (scatter efff yyy,  yaxis(1) xlabel(1(1)8) xtitle("Interview's day")  title("Effect of the Ruling on support for independence") legend(position(6) rows(1)))
graph export output/fig_rep/figure_het_time.png, as(png) replace
