clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Identity and polarization results + WC robustness
*******************************************************************************
use data/final/data_ceo_restr.dta, clear

keep if survey=="3-2010"

svyset Ordre_petició [pw= POND_GEO ], strata(strata) || ssu

global controls female casado educ_* ingr_* empleo_* *_cat nac_* edat edat2 mun_*

global controls_nolangnopadremadre female casado educ_* ingr_* empleo_* nac_esp nac_for edad_* mun_*

***Statistics and standardized variables
*More autonomy
svy: mean rel_catesp if HOR_INI<19 & time<7
estat sd
local mm_rel_w3 = string(round(r(mean)[1,1],.01) , "%9.2f")
local ss_rel_w3 = string(round(r(sd)[1,1],.01) , "%9.2f")
*Feeling catalan
svy: mean cat_feeling if HOR_INI<19 & time<7
estat sd
local mm_feel_w3 = string(round(r(mean)[1,1],.01) , "%9.2f")
local ss_feel_w3 = string(round(r(sd)[1,1],.01) , "%9.2f")

***Regressions
**Effects
*Effect on identity
eststo a: areg cat_feeling estatut $controls [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_mm "`mm_feel_w3'"

*Polarization wrt identity
eststo b: areg rel_catesp dnac_padres_kat_ambos estatut est_si_padres $controls_nolangnopadremadre [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_mm "`mm_rel_w3'"

**Robustness to world cup
*More autonomy
eststo c: areg rel_catesp estatut $controls post_match_29_6_10 post_match_3_7_10 [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_mm "`mm_rel_w3'"
 
*Catalan feeling
eststo d: areg cat_feeling estatut $controls post_match_29_6_10 post_match_3_7_10 [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_mm "`mm_feel_w3'"

*Polarization wrt identity
eststo e: areg rel_catesp dnac_padres_kat_ambos estatut est_si_padres $controls_nolangnopadremadre post_match_29_6_10 post_match_3_7_10 [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_mm "`mm_rel_w3'"

esttab a b c d e using output/tab_rep/table_identity_polariz_wc.tex, eqlabel(none) nonumbers nonotes se label nomtitles ///
sfmt(%8.2f) ///
star(* 0.10 ** 0.05 *** 0.01) keep(estatut dnac_padres_kat_ambos est_si_padres post_match_29_6_10 post_match_3_7_10) ///
prehead(\begin{tabular}{lccccc} \hline \hline & \multicolumn{2}{c}{Results} & \multicolumn{3}{c}{Robustness to World Cup}  \\ \cmidrule(lr){2-3} \cmidrule(lr){4-6} & Feeling & More & More & Feeling & More \\ & Catalan & autonomy & autonomy & Catalan & autonomy \\ \cmidrule(lr){2-3} \cmidrule(lr){4-6} & (1) & (2) & (3) & (4) & (5) \\ \hline) /// 
scalars("sta R-squared" "info_mm Average y") ///
postfoot(\hline \hline \\ \end{tabular}) ///
compress replace
