clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

*******************************************************************************
***Short-term voting
*******************************************************************************
use data/final/data_ceo_restr.dta, clear

keep if survey=="3-2010"

svyset Ordre_petició [pw= POND_GEO ], strata(strata) || ssu

global controls female casado educ_* ingr_* empleo_* *_cat nac_* edat edat2 mun_*

***Statistics
*More autonomy
svy: mean rel_catesp if HOR_INI<19 & time<7
estat sd
local mm_rel_w3 = string(round(r(mean)[1,1],.01) , "%9.2f")
local ss_rel_w3 = string(round(r(sd)[1,1],.01) , "%9.2f")
*Voting variables
foreach y in "indep" "indep_old"{
	svy: mean part_`y' if HOR_INI<19 & time<7
	estat sd
	local mm_`y'_w3 = string(round(r(mean)[1,1],.01) , "%9.2f")
	local ss_`y'_w3 = string(round(r(sd)[1,1],.01) , "%9.2f")
}


///Polarization wrt PP voters
eststo a: areg rel_catesp estatut ppc_old est_ppc_old $controls [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_mm "`mm_rel_w3'"

///Voting independentist parties
*Vote independentist
eststo b: areg part_indep estatut $controls [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_mm "`mm_indep_w3'"

*Vote independentist old
eststo c: areg part_indep_old estatut $controls [pw= POND_GEO ] if HOR_INI<19 & time<7, absorb(COMARCA) cluster(PROVItime)
estadd scalar sta = e(r2_a)
estadd local info_mm "`mm_indep_old_w3'"

esttab a b c using output/tab_rep/table_vote.tex, eqlabel(none) nonumbers nonotes se label nomtitles ///
sfmt(%8.2f) ///
star(* 0.10 ** 0.05 *** 0.01) keep(estatut ppc_old est_ppc_old) ///
prehead(\begin{tabular}{lccc} \hline \hline & More autonomy & \multicolumn{2}{c}{Catalan parties} \\ & & Future vote & Past vote \\ \cmidrule(lr){2-2} \cmidrule(lr){3-4} & (1) & (2) & (3) \\ \hline) /// 
scalars("sta R-squared" "info_mm Average y") ///
postfoot(\hline \hline \\ \end{tabular}) ///
compress replace
