clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

/////////////////////////////////////////////////////////////////////////////
///Voting data
/////////////////////////////////////////////////////////////////////////////
***1999
import delimited "data/raw/FilesVots_A19991_MU_ca_ES", delimiter(";") encoding(ISO-8859-1) clear
gen tipus_elec="Autonòmiques"

gen data="19991017"
gen t_loc="1999"

tempfile votsautonomiques
save `votsautonomiques', replace

***2003
import delimited "data/raw/FilesVots_A20031_MU_ca_ES.csv", delimiter(";") encoding(ISO-8859-1) clear
gen tipus_elec="Autonòmiques"
gen data="20031116"
gen t_loc="2003"
append using `votsautonomiques'
save `votsautonomiques', replace

***2006
import delimited "data/raw/FilesVots_A20061_MU_ca_ES.csv", delimiter(";") encoding(ISO-8859-1) clear
gen tipus_elec="Autonòmiques"
gen data="20061101"
gen t_loc="2006"
append using `votsautonomiques'
save `votsautonomiques', replace

***2010
import delimited "data/raw/FilesVots_A20101_MU_ca_ES.csv", delimiter(";") encoding(ISO-8859-1) clear
gen tipus_elec="Autonòmiques"
gen data="20101128"
gen t_loc="2010"
append using `votsautonomiques'
save `votsautonomiques', replace

***2012
import delimited "data/raw/FilesVots_A20121_MU_ca_ES.csv", delimiter(";") encoding(ISO-8859-1) clear
gen tipus_elec="Autonòmiques"
gen data="20121125"
gen t_loc="2012"
append using `votsautonomiques'
save `votsautonomiques', replace

***2015
import delimited "data/raw/FilesVots_A20151_MU_ca_ES.csv", delimiter(";") encoding(ISO-8859-1) clear
gen tipus_elec="Autonòmiques"
gen data="20150927"
gen t_loc="2015"
append using `votsautonomiques'
save `votsautonomiques', replace

***Cleaning
use `votsautonomiques', clear
rename codiprov* cprov
rename nomprov* nprov
rename codimunicipi codiine
rename nommunicipi nmunicipi
rename sigles sigles_loc
rename candidatures npartit_loc
rename vots vloc

tostring codiine, replace

gen codyear=t_loc+codiine
sort t_loc codiine

save `votsautonomiques', replace

/////////////////////////////////////////////////////////////////////////////
///Turnout data
/////////////////////////////////////////////////////////////////////////////
***1999
import delimited "data/raw/FilesParticipacio_A19991_MU_ca_ES", delimiter(";") encoding(ISO-8859-1) clear
gen data="19991017"
gen t_loc="1999"
tempfile partautonomiques
save `partautonomiques', replace

***2003
import delimited "data/raw/FilesParticipacio_A20031_MU_ca_ES.csv", delimiter(";") encoding(ISO-8859-1) clear
gen tipus_elec="Autonòmiques"
gen data="20031116"
gen t_loc="2003"
append using `partautonomiques'
save `partautonomiques', replace

***2006
import delimited "data/raw/FilesParticipacio_A20061_MU_ca_ES", delimiter(";") encoding(ISO-8859-1) clear
gen tipus_elec="Autonòmiques"
gen data="20061101"
gen t_loc="2006"
append using `partautonomiques'
save `partautonomiques', replace

***2010
import delimited "data/raw/FilesParticipacio_A20101_MU_ca_ES", delimiter(";") encoding(ISO-8859-1) clear
gen tipus_elec="Autonòmiques"
gen data="20101128"
gen t_loc="2010"
append using `partautonomiques'
save `partautonomiques', replace

***2012
import delimited "data/raw/FilesParticipacio_A20121_MU_ca_ES.csv", delimiter(";") encoding(ISO-8859-1) clear
gen tipus_elec="Autonòmiques"
gen data="20121125"
gen t_loc="2012"
append using `partautonomiques'
save `partautonomiques', replace

***2015
import delimited "data/raw/FilesParticipacio_A20151_MU_ca_ES", delimiter(";") encoding(ISO-8859-1) clear
gen tipus_elec="Autonòmiques"
gen data="20150927"
gen t_loc="2015"
append using `partautonomiques'
save `partautonomiques', replace

***Cleaning
use `partautonomiques', clear
rename codiprov* cprov
rename nomprov* nprov
rename codimunicipi codiine
rename nommunicipi nmunicipi
rename pobl* pob
rename cens* cens
rename votsv* votants
rename participació2000 parti

tostring codiine, replace

gen codyear=t_loc+codiine
sort t_loc codiine

save `partautonomiques', replace

/////////////////////////////////////////////////////////////////////////////
///Merge voting and turnout data
/////////////////////////////////////////////////////////////////////////////

use `votsautonomiques', clear

merge t_loc codiine using `partautonomiques'
keep codiine codyear t_loc data nmunicipi cprov sigles_loc npartit_loc vloc pob cens votants nprov tipus_elec
gen ccaa="Catalunya"
gen parti=votants/cens
destring codiine, replace
destring t_loc, replace
destring codyear, replace
replace sigles_loc = subinstr(sigles_loc," ","",.)
replace sigles_loc=lower(sigles_loc)

gen iloc=.

replace iloc=1 if strpos(sigles_loc, "espot") | strpos(sigles_loc, "icv") | strpos(sigles_loc, "ic-v") |  strpos(sigles_loc, "euia") 
replace iloc=2 if strpos(sigles_loc, "psc")
replace iloc=4 if strpos(sigles_loc, "ciu")
replace iloc=6 if strpos(sigles_loc, "pp")
replace iloc=8 if strpos(sigles_loc, "erc")
replace iloc=82 if strpos(sigles_loc, "upyd")

save data/final/data_autonomiques.dta, replace
