clear all
set more off

*Set working directory
*cd "C:/Users/.../3-replication-package"

/////////////////////////////////////////////////////////////////////////////
///Factiva data
/////////////////////////////////////////////////////////////////////////////

*Number of factivas files
filelist, dir("data/raw/factiva") pat("*.rtf")
local NN=`r(N)'

***Transform into dta and keep only date of news
forv i=1/`NN' {
	import delimited using "data/intermediate/factivafile_`i'.txt", clear delimiters("\t")
	gen v2 = substr(v1,-5,5)
	gen v3 = 1 if v2=="words"
	gen id = _n
	tsset(id)
	gen lv3 = l.v3
	keep if lv3==1
	keep v1
	ren v1 strdate
	split strdate, p("")
	drop strdate
	gen strdate = strdate2 + " " + strdate1 + "," + " " + strdate3
	gen date = date(strdate, "MDY")
	format date %td
	keep date
	gen alert = `i' if _N!=100
	gen obs = _N if alert>0
	save "data/intermediate/factivafile_`i'.dta", replace
}

***Append data

clear
use "data/intermediate/factivafile_1.dta", clear
	forv i=2/`NN' {
	append using "data/intermediate/factivafile_`i'.dta"
	}

***Collapse 
g news_number = 1
collapse (sum) news_number, by(date)

***Keep until July 22, 2010
drop if date>=date("20100723","YMD")

***Save
save "data/final/data_news.dta", replace
