if (!require(striprtf)) {
  install.packages("striprtf")
  library(striprtf)
}
if (!require(whoami)) {
  install.packages("whoami")
  library(whoami)
}

#Set working directory (folder with raw data)
#setwd("C:/Users/.../3-replication-package")
path <- getwd()

#Get list of all .rct files  
files <- list.files(path = "data/raw/factiva", recursive = TRUE) 

#Transform .rct files into .txt files
for(i in 1:length(files)) {
  
  myfile_out <- paste0("factivafile", "_", i, ".txt")
  myfile_in <- paste0(path,"/","data/raw/factiva", "/", files[i])
  
  y <- read_rtf(myfile_in,
                verbose = FALSE, row_start= "*| ", row_end= "", cell_end = " | ", 
                ignore_tables = FALSE)
  
  write(y, file = paste0(path,"/","data/intermediate", "/", myfile_out), sep="")
}
